Welcome to O&O Defrag V4!

Besides the well-known and proven features the new O&O Defrag V4 offers a lot of new professional and user-friendly functions. The new user interface now optionally integrates into the Microsoft Management Console (MMC). The MMC is the integrated administration tool that is also available for Windows NT 4. O&O Defrag V4 can also be installed independently of the MMC or be launched and configured over the new command line control system.

O&O Defrag V4 enables you to analyze and defrag several partitions concurrently. The analysis results and defragmentation progress are presented independently in a dynamic split screen. You can supervise all partitions at one glance. The unique ClusterInspector enables you furthermore to explore the block contents of your partitions.

With the recently implemented unique STEALTH technology you can achieve maximum performance on your system and save its resources. With the new O&O ActivityGuard Pro your system is defragmented in the background and the new Threshold-Function measures the degree of fragmentation to launch defragmentation every time a certain value is exceeded. With the Management Console of the new O&O Defrag Server Edition you get easy and convenient control over O&O Defrag in local and global networks. This way you can easily achieve and maintain maximum performance for the best efficiency of your hardware.

With the 4th version of the successful product series O&O Defrag O&O Software presents not only the best version of O&O Defrag, with new exciting and profitable functionalities, but also the best defragmentation tool for Windows XP, Windows 2000, and Windows NT 4 ever available.

We hope that you will enjoy the new O&O Defrag and wish you a nice time with the product. However, if you have any questions or suggestions regarding this product or licensing, do not hesitate to contact us. We are looking forward to help you.

Your O&O Software-Team!
http://www.oo-software.com


New Features in O&O Defrag V4

To make the access to O&O Defrag V4 as easy as possible we want to give you an outline of the innovations within the product series and their particular functions.

Related topics

Differences Between Professional and Server Edition

Windows XP Support

Network Functionality of O&O Defrag V4 Server Edition

The New and Unique STEALTH technology

New Design

O&O ActivityGuard Pro

Automatic Defragmentation in the Background (Threshold)

Control Through the Command Line

Status Overview of All Network Computers


Introduction - New Features in O&O Defrag V4 - Differences Between Professional and Server Edition

O&O Defrag | O&O Defrag

Differences Between Professional and Server Edition

The new O&O Defrag is available in two versions O&O Defrag V4 Professional Edition and O&O Defrag V4 Server Edition. The Professional Edition is only executable on the following versions of Windows XP, Windows 2000 and Windows NT4 Workstations:

  • Windows XP Home Edition
  • Windows XP Professional
  • Windows 2000 Professional
  • Windows NT4 Workstation

The Server Edition is developed for the Windows Server Versions. With the Management Console it additionally includes the network functionality for the administration and control of the Professional/Server Edition over the network. It is executable on every version of Windows XP, Windows 2000 and Windows NT4.


Windows XP Support

O&O Defrag V4 was in particular developed for the new operating system Windows XP. The proper function on Windows 2000 and Windows NT4 is guaranteed as a matter of course.


Network Functionality of O&O Defrag V4 Server Edition

The network functionality of O&O Defrag has now been integrated into the Server Edition. With the Management Console the company-wide defragmentation can be administrated and monitored conveniently and efficiently.


The New and Unique STEALTH technology

O&O Defrag asserts its technological leadership with the new and unique STEALTH technology that was developed especially for servers. This way you achieve maximum performance of your system. The need for system resources is minimal and so an inconspicuous and fast defragmentation in the background can be realized. STEALTH technology minimizes free memory needed for defragmentation to almost 10% and performs defragmentation much more efficiently than you can expect from comparable commercial defragmentation tools! STEALTH was developed especially for servers and is particularly suited for large systems (> 1 TB) and for hard disks with a large amount of files.


New Design

The user interface was optimized and adapted to the new XP-Look-and-Feel. As usual you will find the most important features at one glance – for maximum ease of use.


Introduction - New Features in O&O Defrag V4 - O&O ActivityGuard Pro

O&O Defrag | O&O Defrag

O&O ActivityGuard Pro

The new O&O ActivityGuard Pro is an improved version of the well-known O&O ActivityGuard. This special system periodically detects the current system load and adjusts O&O Defrag's usage of resources accordingly. It improves online defragmentation noticeably. The administration of resources is optimized and manually adjustable so the user will not be affected during their daily work.


Automatic Defragmentation in the Background (Threshold)

The new Threshold-Function makes sure that the system does not trespass a certain user-defined degree of fragmentation to optimize the balance between best performance and minimum defragmentation efforts. The fragmentation degree is measured in configurable intervals and a defragmentation is executed when a certain degree of fragmentation is reached or exceeded. So you have to configure O&O Defrag only once and your system will be optimized automatically in the future, in fact only when it is really needed.


Control Through the Command Line

In addition to controlling O&O Defrag via its Windows user interface, it is now completely controllable through command line parameters. In case of a launch through the command line the main screen will not be shown. You can track defragmentation progress in your DOS prompt.


Status Overview of All Network Computers

With the new O&O Defrag Server Edition, you can query the status of each computer in your network and get an overview within minutes of how badly your systems suffer from fragmentation. This helps you to schedule appropriate defrag jobs to increase performance of your computers. The new SiteControl has this and many more new features to ease administration of O&O Defrag throughout the whole network!


Introduction - Differences Between Professional and Server Edition

O&O Defrag | O&O Defrag

Differences Between Professional and Server Edition

The new O&O Defrag V4 is available in two versions, the well-known O&O Defrag V4 Professional Edition und the new O&O Defrag V4 Server Edition. The Professional Edition is the version for Windows Workstations and the Server Edition for Windows Servers.

Related topics

Professional Edition for Workstations

Server Edition for Servers and Networks


Professional Edition for Workstations

The Professional Edition is only executable on the following versions of Windows XP, Windows 2000 und Windows NT4 Workstations:

  • Windows XP Home Edition
  • Windows XP Professional
  • Windows 2000 Professional
  • Windows NT4 Workstation


Server Edition for Servers and Networks

The Server Edition is developed for the server versions of Windows XP, Windows 2000 and Windows NT. With the Management Console it additionally includes the network functionality for the administration and control of the Professional/Server Edition in local and global networks. It is executable on every version of Windows XP, Windows 2000 and Windows NT4.

Additionally the O&O Enterprise Management Console is included. It is now fully integrated into the Server Edition. The O&O EMC is the enhancement of the Microsoft Management Console (MMC), the administration tool for Windows. The O&O EMC enhances the MMC with the network functionality and offers four more tools (Plug-ins) for the administration and control of the computers over the network.


How File Fragmentation Affects Performance

Fragmentation occurs as soon as you save a file to a disk. Windows will automatically check for free disk space and place the file in it. Usually there is not enough free disk space available to store the whole file in one piece. This loss of free disk space is caused by normal disk operations like creating and deleting files. If you delete a file, it leaves unused disk space. New files will be stored at this disk space to "recycle" it. If a new file does not exactly fit into this space, Windows breaks it into pieces and saves these pieces at various free locations on your disk. When the file is loaded again, Windows must find the several pieces, load them and put them together. This process can be very time-consuming, especially if you often create and delete files.


Limitations of Built-in Defragmentation Tools Offered by Windows

Windows XP and Windows 2000 include a ‚Light'-Defragmenter, which has just a very limited functionality. Below is a list of some features of O&O Defrag V4, which you will look for elsewhere in vain:

  • Simultaneous defragmentation of all physical drives.
  • Five strategies for individual system optimization.
  • Integrated scheduler for automatic defragmentation of any volume and machine in the background.
  • Highly developed scheduling functions.
  • Threshold-Function: automatic defragmentation when achieving a certain degree of fragmentation.
  • Management Console of the O&O Defrag V4 Server Edition for easy and convenient rollout and control of O&O Defrag V4 Professional/Server over local and global networks (MMC required).
  • Boot-Time Defragmentation of any file like page file, registry, Master File Table (MFT) on NTFS, where every single file that is locked during runtime, for example Exchange- or SQL-databases can be specified by the user.
  • O&O ActivityGuard Pro: adjustable usage of resources for an optimum system load. The system performance will not be affected by defragmentation in the background.
  • STEALTH technology for optimum defragmentation.
  • Defragmentation of system file like the Master File Table (MFT).


The Effects of Fragmentation on Total Costs of Ownership

Fragmented files slow down a system and compromises its availability. Depending on the degree of fragmentation file access is far slower and valuable time is being lost. Access to files that otherwise can be opened in a short time needs in certain cases up to ten times more due to fragmentation. System boot-time can triple and nightly backups can take many hours more than without fragmentation.

The system performance lost due to fragmentation does not only cost time but also money as existing resources are being used inefficiently. This has a direct impact on the efficiency of company systems and with it the employees that are using these systems and should be prevented by all means. System fragmentation can even lead to unnecessary hardware upgrades, as the lost performance cannot be activated in want of defragmentation.


Regular Defragmentation Required

Even in the age of fast and cheap hardware the greater part of speed is depending on the operation system and its file management. The most common problem is file fragmentation, i.e. scattering of file fragments over the hard disk. The access to such files requires a higher time effort, each fragment has to be searched for and read separately. And this problem exactly has a particular dramatic impact on Windows. The longer a system is online, the more fragmentation and thus loss of performance occurs. O&O Defrag brings back that performance and helps save precious time and resources.

File and database servers particularly, but even normal workstations may achieve noticeable enhancement in speed. Regular deployment of O&O Defrag prevents the recurrence of heavy fragmentation and will make work with Windows NT, Windows 2000 and Windows XP much more convenient in the long term.


O&O Defrag Is the Perfect Solution

O&O Defrag analyzes and reorganizes your saved files. Fragmented files are being moved to a place where they can be saved in one piece. Access is sped up because Windows NT/2000 does not need to search for remaining pieces. The whole file can be read in one step.

This way O&O Defrag restores lost performance and helps to save valuable time and expenses.

O&O Defrag can be installed on every system locally as a single-user application or over the network by the means of the Management Console. It can be intuitively configured and used. Additionally, O&O Defrag offers a way to schedule automatic defragmentation with its powerful planning tool and so to optimize every system individually.


Using O&O Defrag Server Edition Within the Network

Based on the O&O Enterprise Management Console, O&O Defrag uses its functionality for network communication. It allows a company wide implementation of clients in the shortest time.

The administrator will be able to supervise and configure every process of the system from his or her workplace. The controls are integrated into the O&O Enterprise Management Console. Computer groups can be created independently from the existing domain structure and configured for O&O Defrag in one step. Thus you succeed in planning the defragmentation of your network in just a few minutes!

As known from O&O Defrag, volume information can be fetched and a single or multiple volumes can be defragmented. You can supervise the process by using a graphical cluster view, if you wish. A special feature is the parallel defragmentation of all volumes. In doing so, O&O Defrag determines the correlation of the logical drives to the actual hard disks and plans the defragmentation in a way that only one disk at a time is defragmented. Simultaneous employment of several partitions of one hard disk is prevented and thus duration of defragmentation minimized.


Lowering the Total Costs of Ownership (TCO) by Using O&O Defrag

O&O Defrag makes an efficient use of existing system resources possible, either within the company or at home. O&O Defrag reactivates lost performance and expensive hardware can thus work more effective.

Cut Costs and Increase Efficiency Through Higher Performance of Your IT Systems

System delays and slow reactions are not only inconvenient, but even expensive in terms of wasted hardware and personal resources. O&O Defrag makes all wastes based on limited system performance obsolete.

Defragmentation technology of O&O Defrag optimizes the system speed for users benefits. Increased performance causes increased productivity of the employee's systems and thus of the employee himself.

Cost-Savings Resulting From Network Managed Defragmentation With O&O Defrag

Execution of manual defragmentation is expensive and unhandy for both user and administrator, for defragmentation must be controlled locally. O&O Defrag in contrast offers time and money efficient administration of the whole company network. TCO (Total Cost of Ownership) decreases can be realized depending on the amount of machines: administration expenses shrink proportional to the number of systems.

Besides a flexible and sophisticated control and execution of defragmentation jobs, O&O Defrag V4 Server Edition offers installation, administration and control over the network. Using optimized system performance; companies achieve lowering of TCO, as administrators equipped with O&O Defrag control the defragmentation based on a central console. By introducing a network compatible defragmentation tool like O&O Defrag a company significantly saves IT personal costs. Processes can be controlled and fully automated at every time, thus optimizing system care and minimizing administration efforts. Even more, workstations will never again be blocked by manual defragmentation and administration, thus preventing work dropouts.

O&O Defrag has to be configured only once. Jobs have to be defined only once, too. The background fragmentation even prevents work dropouts for the employee, for administration doesn't need to be executed manually on site, but in the background.

Cutting Costs By Avoiding Early And Unnecessary Hardware Upgrades

Most companies recognized file defragmentation as problematic. But only few acknowledge the immense consequences decreased system performance has on hardware upgrading expenses, IT-budgets and balances.

Humble system ratings due to file fragmentation may lead to avoidable investments into new hardware. Simple optimizing strategies are able to utilize the given hardware resources much more efficiently, depending on the degree of fragmentation. Hardware upgrades do not solve the problem, which reoccurs subsequently at the new systems. Instead of increasing system performance by only upgrading the hardware, company wide introduction of defragmentation allows the given hardware to operate at full capacity. Some companies may even upgrade their systems earlier than necessary or even unnecessarily, because of noticeable losses of system output. Prior to every hardware upgrade, the possibility of maximizing the system ratings through deployment of defragmentation software like O&O Defrag should be exhausted. Thus one prevents nonessential IT-expenses.


System Requirements

The requirements below list the minimal configuration. Any better hardware or newer software may be used. If you experience problems nonetheless, please do not hesitate to contact us.

Related topics

O&O Defrag Professional Edition

O&O Defrag Server Edition

O&O Defrag Agent


O&O Defrag Professional Edition

Hardware
  • System with Intel 486 (Pentium recommended) or compatible processor
  • 32 MB RAM (64 MB recommended)
  • CD-ROM-drive
  • VGA-adapter (min. 640x480/16 colors), keyboard and mouse
  • 30 MB available hard disk space
Software

The Professional Edition is suited for Workstation-OS only, i.e.

  • Windows NT 4.0 Workstation (SP 5 or higher)
  • Windows 2000 Professional (any Service Pack)
  • Windows XP Professional
  • Windows XP Home Edition

It can be used on network clients and controlled by the Server Edition.

If you are running Windows NT 4, the following applications are also required, as they are not part of the operating system:

  • Microsoft Internet Explorer 5.0 or better (IEXPLORER)
  • Microsoft Software Installer 1.1 or better (MSI)

If you want to use O&O Defrag as a snap-in of the Microsoft Management Console, you must have Microsoft Management Console 1.2 or better installed.

Access Requirements

You must be a member of the Local Administrator group or have similar privileges to install and configure O&O Defrag Professional Edition.

In case you are a domain administrator you usually own the appropriate authorization.


O&O Defrag Server Edition

Hardware
  • System with Intel 486 (Pentium recommended) or compatible processor
  • 32 MB RAM (64 MB recommended)
  • CD-ROM-drive
  • VGA-adapter (min. 640x480/16 colors), keyboard and mouse
  • 30 MB available hard disk space
  • Network interface card and connection to use the network functionality (Management Console)
Software

The Server Edition serves the network control of O&O Defrag. It can be used on Workstation and Server operating systems. These are

  • Windows NT 4.0 Workstation, Server, or Terminal Server (Service Pack 5 or higher)
  • Windows 2000 Professional, Server, or Advanced Server (any Service Pack)
  • Windows XP Professional
  • Windows XP Home Edition

If you are running Windows NT 4, the following applications are also required, as they are not part of the operating system:

  • Microsoft Internet Explorer 5.0 or better (IEXPLORER)
  • Microsoft Management Console 1.2 or better (MMC) to use the network functionality (Management Console)
  • Microsoft Software Installer (MSI)

If you want to use O&O Defrag as a snap-in of the Microsoft Management Console, you must have Microsoft Management Console 1.2 or better installed.

Access Requirements

You must be a member of the Local Administrator group or have similar privileges to install and configure O&O Defrag Server Edition.

In case you are a domain administrator you usually own the appropriate authorization.


Installation - System Requirements - O&O Defrag Agent

O&O Defrag | O&O Defrag

O&O Defrag Agent

O&O Defrag uses a Windows Service for defragmentation. It is called O&O Defrag agent and communicates with O&O Defrag user interface through DCOM.

If you use O&O Defrag Professional Edition, this Agent will be installed on your local machine. You don't need to fulfill any further requirements.

If you use O&O Defrag Server Edition for defragmentation of machines in a network, you have to install the agent on these machines. The installation will be done by O&O ComponentInstaller. In this case the user interface will not be installed but merely the O&O Defrag Service and help files for boot-time defragmentation event logging.

Hardware
  • System with Intel 486 (Pentium recommended) or compatible processor
  • 16 MB RAM (32 MB recommended)
  • VGA-adapter (min. 640x480/16 colors), keyboard and mouse
  • 5 MB hard disk space available
  • Network interface card and connection
Software

Depending on the purchased licenses you can install the Agent on Workstations and Servers. Following operating systems are supported.

  • Windows NT 4.0 Workstation, Server, or Terminal Server (Service Pack 5 or higher)
  • Windows 2000 Professional, Server, or Advanced Server (any Service Pack)
  • Windows XP Professional
  • Windows XP Home Edition
Access Requirements

You must be a member of the Local Administrator group or have similar privileges to install and configure O&O Defrag agent.

In case you are a domain administrator you usually own the appropriate authorization.


Installing O&O Defrag

The installation takes place in several steps, which are described below. Please consider that after the installation O&O Defrag must be unlocked with your registration key to become a full version. You can obtain more information in the section Entering the Registration Code.

Note: If you don't enter a valid registration code, you can use O&O Defrag only as a trial version for max. 30 days. If you have any questions please contact our Support.

Related topics

Microsoft Windows Installer

Microsoft Management Console

O&O Defrag as MMC-Snap-In or as an Independent Program

O&O Enterprise Management Console

Installing O&O Defrag Server Edition as a Single-user Application

Finishing the Installation


Microsoft Windows Installer

The installation is done by Microsoft Windows Installer. It is a Windows 2000/XP implemented component developed for the easy management of the installation process.

If you use Windows NT 4 the actual O&O Defrag installation examines the version of the Windows Installer. If the program is not installed on your system or if the version its outdated O&O Defrag setup will install a suitable version.


Microsoft Management Console

Installing the MMC is a very easy and quick process. Please follow the steps outlined below:

  1. Boot the computer on which you want to install O&O Defrag and the MMC.
  2. Start Windows and log on as a local administrator or use an account with similar privileges.
  3. Run the O&O Defrag Setup program by invoking the packed executable you received.
  4. During the initialization of the Setup program, the following error messages may occur:
    1. Unsupported Operating System - O&O Defrag may only run under Windows NT 4 or Windows 2000/XP. It cannot be used with Windows 95/98 or any other operating system.
    2. Windows NT 4 Service Pack 5 required – O&O Defrag runs on Windows NT 4 only with Service Pack 5 or higher installed.
    3. Administration rights – You must be Administrator or have similar rights to install O&O Defrag.
    4. Internet Explorer 5 required – O&O Defrag requires Internet Explorer Version 5 or better to be installed.
    5. Other Edition installed – You may only either install the Professional or the Server Edition on one machine, but not both!
    6. Not on servers – You cannot install the Professional Edition on a server operating system!

After the successful initialization of the Setup program, it checks whether the MMC is already installed. If it is installed, it checks for the correct version (at least V1.2 is required). If it does not find the MMC or an outdated version, you will be prompted to install the MMC now. Proceed with the MMC Setup program.


O&O Defrag as MMC-Snap-In or as an Independent Program

O&O Defrag is basically in the Professional Edition as well as in the Server Edition a so-called MMC Snap-In, i.e. it runs within the Microsoft Management Console. The Management Console is a feature of Windows 2000 and Windows XP, which hosts administrative tools that manage the components of your Windows system. It is also available for Windows NT 4 but has to be installed first.

During the installation you can choose if you want to run O&O Defrag as an MMC-Snap-In or as an independent program. The second option means that O&O Defrag is running in a so-called container, whose appearance resembles the MMC. You don't have to install the MMC in this case.

Figure 1 Installation Options

Note: Please consider that the Server Edition does not offer any network functionality with the container. It can be reasonable for use on a single server.


O&O Enterprise Management Console

O&O Defrag Server Edition has been developed as a plug-in for the O&O Enterprise Management Console. You must have O&O EMC installed on your system for proper operation of O&O Defrag. The O&O Enterprise Management Console will be installed automatically during the setup process of the Server Edition. You can select special options for network administration during the installation.


Installing O&O Defrag Server Edition as a Single-user Application

If you want to install the Server Edition on a server as a single-user application you can choose this option during the installation. After the installation it offers the same functionality and handling as the Professional Edition. You cannot administer other machines over the network but you can manage and administer this computer in the network.


Finishing the Installation

After finishing the installation, O&O Defrag is ready to use. Please note that if you run Windows NT 4, you have to reboot your computer. This is required to add system files, which are not included in the operating system. Windows 2000 and Windows XP only require a reboot, if files were locked during installation and must be replaced at the next system startup. Please follow the setup instructions. Otherwise, the program might not function correctly.


Installing New Versions of O&O Defrag (Updates)

O&O Defrag Professional and Server Edition

Update the O&O Defrag Agent on Network Computers


O&O Defrag Professional and Server Edition

Updating From V3.x to V4

If you are migrating from a previous version of O&O Defrag V3.x (2000) to O&O Defrag V4, please follow the instructions below:

  1. Uninstall all previous versions (Professional or Network Edition). The setup program of V4 does check for older versions before starting the installation and offers an automatic uninstall of the older versions. After completing the uninstall process, the setup must be restarted.
  2. When uninstalling O&O Defrag, you are asked whether to keep your settings or not. Please select the appropriate option.
  3. Afterwards, O&O Defrag V4 will be installed.
  4. During the installation, your old settings are converted to the new version, if you selected this option.
  5. Now continue with the normal O&O Defrag installation. After it has completed, the new version is installed.
Updating to a New Release (Build) of O&O Defrag V4

Updating to a new release of O&O Defrag V4 is an easy and straightforward process.

Windows NT 4/2000/XP with the Microsoft Software Installer 2.0

  1. Launch Setup of the new release.
  2. A dialog will prompt you to Modify, Repair, or Remove the program.
  3. Select Repair and click on Next.
  4. The new version will be installed. All your settings will be kept.

Figure 2 Install an Update

Windows NT 4/2000/XP with an older Microsoft Software Installer

  1. Open the Control Panel from the Settings menu.
  2. Launch Add/Remove Programs
  3. Select O&O Defrag Professional Edition or O&O Defrag Server Edition from the software list.
  4. Click on Add/Remove.
  5. The setup program of O&O Defrag will be launched.
  6. A dialog will prompt you to Modify, Repair, or Remove the program.
  7. Select Remove and click on Next. The option Repair will be disabled, if you have an older MSI installed on your system.
  8. The old version will be uninstalled. You can keep your settings for the later update.
  9. After you have successfully completed the uninstall process, you may proceed with the installation of the new release. Please follow the instructions stated in Installing O&O Defrag.


Update the O&O Defrag Agent on Network Computers

You can update the O&O Defrag agent on remote computers by using the O&O ComponentInstaller, which is part of the O&O Enterprise Management Console. When you activate the ComputerControl or SiteControl, the versions of the agents on the remote machines will be automatically checked. If they are older than the currently installed version on your local system, an automatic update will be offered. After the update has completed, the agent is immediately available.

Note: If the O&O ComponentInstaller asks you to update the agent and you deny, problems may arise from using the older agent on the remote machine. Please do update the agent if asked to do so!


Entering the License Keys

Note: To unlock the product after the installation or at a later time, you must own a valid license key. If you do not have a valid license key, you may use O&O Defrag for a 30-day trial. If you have any further questions, please contact our support.

After installation has completed, the O&O Registration Wizard (O&O RegWizard) will be automatically launched. The RegWizard allows you to enter the license key and register the product online with only a few simple steps. To unlock the product, you will need the license key, which you received when purchasing O&O Defrag.

The license key is also referred to as serial number or product-ID. It may consist of a serial number only or of a name, company, and a serial number. You will get this information with your license key.

If you want to enter the license key, you just launch O&O Defrag. The RegWizard will be launched automatically.

Related topics

Unregistered Trial Version

Registration Dialog

Finishing Registration


Unregistered Trial Version

This dialog is displayed, when you are using an unregistered trial version or have entered the license key incorrectly before. If the latter may be the case, please check your license key and re-enter it correctly.

In the first step you have to select if you want to Enter the registration code, Continue with the unregistered trial version, or want to Buy now the product. Please select an option and click on Next.

Select Enter registration code and proceed with step 2 to unlock the product.

If you want to test the product, select Continue with unregistered trial version. The remaining time for your trial is displayed in the upper area of the dialog.

If you choose Buy now, you will be redirected to our homepage on the Internet, where you can get more information about purchasing our product.

After selecting an option, click on Next. To cancel the registration process at any time, click on Cancel and confirm.

Figure 3 Unregistered Trial Version


Registration Dialog

You can enter your license key in the registration dialog. Enter your name and company. Also, enter the serial number. Please ensure that your entered license data exactly matches the information provided in your license key. Please also check that you do not mix O's and zero and that you do not enter spaces in the license key.

Click on Next to save your license key or on Cancel to abort without saving any data.

Figure 4 Registration Dialog

If you experience problems with entering the license key, please contact our support.


Finishing Registration

If you have entered the license key correctly, you will see a confirmation dialog. Afterwards, you will have the chance to register your product online. You will receive many advantages when registering your product: free technical support for 90 days, discounted updates and upgrades, special offers etc.


O&O LicenseManager (Server Edition)

O&O LicenseManager is an integral part of the O&O EMC that enables you to manage licenses of O&O EMC plug-ins.

Apart from adding and removing licenses you can obtain important information about the license data.

Note: O&O LicenseManager saves the license data in the registry of the local machine. It is impossible to relocate the data to another computer; therefore it must be re-entered after moving to another machine.

Related topics

Managing License Keys

Adding License Keys

Removing License Keys

Changing Registration Codes


Managing License Keys

The LicenseManager can be found in the Management Folder of the O&O Enterprise Management Console. Activate the LicenseManager and all available license keys will be displayed, grouped by products (O&O Defrag Professional and Server Edition).

Figure 5 User Interface of O&O LicenseManager


Adding License Keys

To add license data, right-click on the O&O LicenseManager icon and choose Add License Key from the context menu.

Figure 6 Adding a New License Key

After entering the required information in the appearing dialog click 'OK' and O&O License Manager will check the validity of the license key. After the entry of the data they will appear in the indicator and can be used immediately. Invalid license keys will be marked with "error" icons.


Removing License Keys

Select the appropriate License Key and remove it by clicking the corresponding button in the toolbar (the red cross). This action cannot be undone!


Changing Registration Codes

To change a registration code you have to remove it first and afterwards reenter it.


Uninstalling O&O Defrag

In order to uninstall O&O Defrag, follow the steps listed below:

  1. Start the Control Panel from Settings in the Start-menu
  2. Click Add/Remove Programs
  3. Select O&O Defrag Professional Edition in the software list and click 'Add/Remove'.
  4. Click Add/Remove.
  5. The O&O Defrag uninstall program will be launched.

Figure 7 Uninstalling O&O Defrag

Now you can choose if you want to remove O&O Defrag totally or if you want to keep the settings. This is necessary if you want to install an update afterwards and do not want to lose your current settings. Otherwise choose the total remove. All settings will be deleted and possible previous settings (e.g. standard defragmenter) will be restored.

Finally, confirm the removal of O&O Defrag. After a successful uninstall you may possibly have to reboot your machine.


Starting From the Start-Menu

During the installation, a program group for O&O Defrag has been created in your start-menu. This group can either be accessed by all users or only from the current users – depending on the selection you made during setup.

The program group can usually be found in O&O Software\O&O Defrag Professional Edition or O&O Software\O&O Defrag Server Edition. This group contains the items O&O Defrag Professional Edition or O&O Defrag Server Edition and O&O Defrag Management Console for network administration and a link to the online documentation.

Figure 8 Icon of O&O Defrag

The online documentation is the central information resource for all details about using O&O Defrag. You can either launch it from the program group or from the help menu in O&O Defrag. You can also press F1 while O&O Defrag is running to display the help.


Starting From the Desktop

When you have registered O&O Defrag as your default defragmentation tool, you can launch it from you desktop. Double-click on the 'My Computer' icon and choose a local volume. Click on it with the right mouse-button and choose 'Properties' from the popup-menu.

In the dialog, switch to 'Tools' and click on the 'Defrag Now…'-button. O&O Defrag will be launched automatically.


Starting From the Command Line

You can start O&O Defrag from the command line passing various parameters for program execution. When you start O&O Defrag from the command line, the application's main window will be minimized and you cannot resize it. The following sections explain each command line option in greater detail.

Note: When you launch O&O Defrag from the command line, you can later launch the O&O Defrag console. It will connect with the running O&O Defrag service and show you the current status of all processes.

Related topics

Terminating O&O Defrag

Program Parameters List

/ANALYZE

/BOOTTIME

/COMPACC

/COMPDATE

/COMPNAME

/INFO

/MAXUSAGE

/NOHEADER

/NOWAIT

/OUTPUTFILE

/PAGING FILE

/SHOW

/SILENT

/SPACE

/STEALTH

/STOP

/WAITKEY


Terminating O&O Defrag

O&O Defrag runs independently in the background. When you close the DOS-prompt or quit the command line tool of O&O Defrag with CTRL-Pause/CTRL-C, you can choose to continue running the current process in the background or immediately stop it. You can later stop any running process by using the STOP-command.


Program Parameters List

The following list specifies the possible parameters for the command line:

Usage: OODCMD {C:[,] | ... | Z:} |

{/{<OPERATION>}{C[,] | ... | Z | ALL}} |

[/SHOW:SETTINGS]

[/MAXUSAGE:AUTO|0..100|MAX]

[/OUTPUTFILE:<filename>]

[/BOOTTIME:ON|OFF]

[/PAGING FILE:ON|OFF]

[/SILENT]

[/NOHEADER]

[/NOWAIT]

[/WAITKEY]

where < OPERATION > must be one of the following options:


/ANALYZE

Syntax: {/ANALYZE:{C[,] | ... | Z | ALL}}

Analyzes the specified drive(s). The result will be printed to standard output device (usually the DOS-Prompt) or redirected to the OUTPUTFILE.


/BOOTTIME

Syntax: /BOOTTIME:ON|OFF

Turns the Boot-Time Defragmentation ON or OFF. If the Boot-Time Defragmentation is activated, a separate blue screen defragmentation will be run during system boot.


/COMPACC

Syntax: {/COMPACC:{C[,] | ... | Z | ALL}}

Starts COMPLETE/Access defragmentation on specified volumes or on all volumes (ALL).


/COMPDATE

Syntax: {/COMPDATE:{C[,] | ... | Z | ALL}}

Starts COMPLETE/Date defragmentation on specified volumes or on all volumes (ALL).


/COMPNAME

Syntax: {/COMPNAME:{C[,] | ... | Z | ALL}}

Starts COMPLETE/Name defragmentation on specified volumes or on all volumes (ALL).


/INFO

Syntax: {/INFO:{C[,] | ... | Z | ALL}}

Displays the Volume Information for specified volumes or for all volumes (ALL).


/MAXUSAGE

Syntax: /MAXUSAGE:AUTO|0..100|MAX

Enables the O&O ActivityGuard Pro and adjusts its level of resource usage. This value will override the registry's value set in the Settings Dialog.


/NOHEADER

Syntax: /NOHEADER

Suppresses the display of the application header in the shell.


/NOWAIT

Syntax: /NOWAIT

Starts the demanded operation and quits the command line tool immediately. The operation will be continued in the background. Useful, if you do not want to wait in a batch or at the command line until the operation has completed.


/OUTPUTFILE

Syntax: /OUTPUTFILE:<filename>

Redirects all output to the specified file.


/PAGING FILE

Syntax: /PAGING FILE:ON|OFF

Turns the Boot-Time Defragmentation of the paging file ON or OFF. If the Boot-Time Defragmentation is activated, a separate blue screen defragmentation will be run during system boot.


/SHOW

Syntax: /SHOW:SETTINGS

Shows the current setting of O&O Defrag, i.e. which settings will be used during the next defragmentation (including Boot-Time Defragmentation), if they are not overridden by other parameters or Job Settings.


/SILENT

Syntax: /SILENT

Suppresses all output.


/SPACE

Syntax: {/SPACE:{C[,] | ... | Z | ALL}}

Starts SPACE defragmentation on specified volumes or on all volumes (ALL).


/STEALTH

Syntax: {/STEALTH:{C[,] | ... | Z | ALL}}

Starts STEALTH defragmentation on specified volumes or on all volumes (ALL).


/STOP

Syntax: {/STOP:{C[,] | ... | Z | ALL}}

Stops any defragmentation process running on the specified volumes or on all volumes (ALL).


/WAITKEY

Syntax: /WAITKEY

Awaits key to be pressed after operation has completed.


Starting O&O Defrag as MMC-Snap-In

You can also integrate O&O Defrag also as a Snap-In directly into the MMC. Usually it is not necessary, as O&O Defrag is delivered with a pre-configured MSC-file. In case you want to integrate O&O Defrag in another or a new MSC-file nevertheless, it should take place without any problem. Just proceed as with any other Snap-In. You can obtain further information on the subject in the documentation of the Microsoft Management Console.


Optimizing Hard Disks With O&O Defrag - Overview

O&O Defrag | O&O Defrag

Overview

Hard disks are one of the few mechanical components of a usual PC. They serve as storage medium for all data that can be needed later on. From text documents like letters to huge databases, that contain the entire business flow of an enterprise, all data are stored on a hard disk. Later, these data are accessed again, modified or even deleted. These processes always take place during the runtime of a system, while the user does not even have to notice it. By and by a phenomenon takes place that, according to expert opinion, belongs to the worst problems that may cause losses of computer performance: Fragmentation! Files are being fragmented and cannot be accessed as fast as it would be actually possible. It leads to longer waiting periods. In companies, fragmentation can cause high expenses due to lost working time. O&O Defrag acts exactly here. O&O Defrag is the ideal solution for individuals and enterprises of any size. Simple installation, easy configuration and a sophisticated defragmentation strategy for best results. These unique product features guarantee that investments in O&O Defrag pay off very fast.

Two aspects were considered most important during the development of O&O Defrag V4: minimum impact on the user's daily work and minimum resource usage. O&O Defrag runs in the background, so the user is neither disturbed nor hindered in his or her work. The improved O&O ActivityGuard Pro determines the current system load periodically and adjusts the resource usage of O&O Defrag.

The unique STEALTH-technology that is introduced for the first time with O&O Defrag V4 offers a hitherto unseen defragmentation performance while minimizing memory load.

The perfect integration of the Server Edition into the O&O Enterprise Management Console ensures optimized network communication, which hardly loads your network. Automatic installation on remote machines, configuration and control of the defragmentation as if you were directly on-site enable a unique administration without great efforts.


Defragmentation Methods

O&O Defrag V4 offers five different methods to defrag your system:

  • STEALTH
  • SPACE
  • COMPLETE/Access
  • COMPLETE/Date
  • COMPLETE/Name

The STEALTH technology and the COMPLETE/Access method are new. Each method is explained in detail in the following sections.

Every method guarantees the following features:

  • Fast and efficient defragmentation of all fragmented files
  • Online defragmentation, i.e. no services or programs have to be shut down during the defragmentation process
  • Avoids new fragmentation by moving files into best fitting spaces
  • May be applied to any NT or 2000 volume including Volume Sets, Stripe Sets with or without Parity etc.
  • Fail-safe, i.e. in case of a software/system crash data will not be lost; the files are being defragmented one after the other

Related topics

STEALTH

SPACE

COMPLETE/Access

COMPLETE/Date

COMPLETE/Name


Optimizing Hard Disks With O&O Defrag - Defragmentation Methods - STEALTH

O&O Defrag | O&O Defrag

STEALTH

The STEALTH method is completely new. It differs from other methods especially by its much higher speed and low use of memory during defragmentation.

The STEALTH method was developed especially for large file servers, but it can also be used very efficiently on workstations and other computers.

Approach

The STEALTH method builds on our unique STEALTH technology, which allows a hitherto unseen degree of defragmentation of computers with many files, little free disk space or memory usage restrictions.

It defragments all fragmented files and optimizes the free disk space by consolidation. The consolidation is adjusted to the speed and resource usage and thus not as deep as that of the SPACE and COMPLETE methods.

STEALTH is the ideal defragmentation method especially for servers with more than one terabyte disk capacity and/or a large amount of files.


Optimizing Hard Disks With O&O Defrag - Defragmentation Methods - SPACE

O&O Defrag | O&O Defrag

SPACE

The SPACE method offers a terrific solution in case of heavy fragmentation. It also ensures a consolidation of your files, thus increasing the contiguous free space and preventing further fragmentation.

The SPACE method is best suited for the first defragmentation and defragmentation in the background, as far as there is sufficient free disk space and not too many files. Otherwise you should prefer the STEALTH method.

Approach

All fragmented files are being defragmented and pushed into the gaps that fit best. This increases the contiguous free space. This method is very efficient and fast but it does not reorganize your volumes like the COMPLETE methods.

Future defragmentations are not affected by the SPACE method. The SPACE method is very well suited for the first defragmentation of a fragmented system, for in contrast to the COMPLETE methods it does not need much free space.


Optimizing Hard Disks With O&O Defrag - Defragmentation Methods - COMPLETE/Access

O&O Defrag | O&O Defrag

COMPLETE/Access

The COMPLETE/Access method defragments your files and reorganizes your file structure. Although this method is slower than the STEALTH and the SPACE method, it ensures optimum system performance during file access.

The COMPLETE/Access method is suitable both for servers and workstations. Please consider, that these methods need more memory due to reorganization of the files. If it is a critical part of your system, we recommend the STEALTH method.

Approach

Files are being sorted by last access date. Files that are rarely accessed will be moved to the beginning of the partition and the files that are accessed more often to the end. Thus rarely needed files are defragmented once and don't have to be moved in the future. This strategy decreases the time required by future defragmentations, because less files have to be checked and defragmented.


Optimizing Hard Disks With O&O Defrag - Defragmentation Methods - COMPLETE/Date

O&O Defrag | O&O Defrag

COMPLETE/Date

The COMPLETE/Date method defragments your files and reorganizes your file structure. Although this method is slower than the STEALTH and the SPACE method, it ensures optimum system performance during file access.

The COMPLETE/Date method is very well suited for databases and file servers. Please consider, that these methods need more memory due to reorganization of the files. If it is a critical part of your system, we recommend the STEALTH method.

Approach

Files are sorted by the last modification date. Most recently modified files are placed at the end of the partition, the files not as recently modified are moved to the beginning. This option is recommended for databases and file servers, where some files are never changed (e.g. system files) while others (e.g. database files) are modified often.

This strategy decreases the time required by future defragmentations, because only few modified files have to be checked and defragmented.


Optimizing Hard Disks With O&O Defrag - Defragmentation Methods - COMPLETE/Name

O&O Defrag | O&O Defrag

COMPLETE/Name

The COMPLETE/Name method defragments your files and reorganizes your file structure. Although this method is slower than the STEALTH and the SPACE method, it ensures optimum system performance during file access.

The COMPLETE/Name method is very well suited for system drives. Please consider, that these methods need more memory due to reorganization of the files. If it is a critical point for your system, we recommend the STEALTH method.


Optimizing Hard Disks With O&O Defrag - Boot-Time Defragmentation

O&O Defrag | O&O Defrag

Boot-Time Defragmentation

Defragging the Paging File and the Registry

Defragging Exclusively Locked Files

Data Integrity and Safety

Limitation of the Boot-Time Defragmentation

Messages and Outputs of the Boot-Time Defragmentation


Defragging the Paging File and the Registry

Fragmented paging files and registry files can slow down your computer severely. Defragging both – the paging file and the registry – can give your system an enormous performance boost, as both are being accessed very often by the system and by user applications.


Defragging Exclusively Locked Files

Databases and other files that are locked while NT/2000/XP or other applications are executed (e. g. SQL or Exchange Server) can be defragmented at boot-time. This gives you the possibility to achieve higher performance due to a more complete defragmentation of your files.

When boot-time defragmentation is enabled, it will be executed every time the system is started. It runs in the Blue Screen of NT/2000/XP, even before you can log on.

Due to internal reasons, NT/2000/XP does not allow a user application like O&O Defrag to run in the Blue Screen. Therefore, a separate execution component called OODDBS.EXE will be used for this. It is located in the SYSTEM32 directory of your NT/2000/XP root directory.


Data Integrity and Safety

The boot-time defragmentation of O&O Defrag ensures data integrity and safety. It uses the same file security mechanisms as Windows NT/2000/XP and does not alter them.

However, even if the boot-time defragmentation fails due to program or power failure, it will automatically be disabled when the system is started next time. This ensures that you are able to boot your system regardless of the success of the boot-time defragmentation.


Limitation of the Boot-Time Defragmentation

In contrast to the online defragmentation developed to optimize single files on local volumes, it does not contain an extensive analysis of volumes and detection of best file order. Defragmentation strategies of the online version are not supported.

Further limitations that apply to boot-time defragmentation are caused by the operating system and file systems implementation:

  • Boot-time defragmentation should be used on error free volumes
  • Especially by MFT defragmentation you should care about the volume being error free (MFT will be checked by the program before defragmentation starts)
  • Encrypted files (EFS) cannot be defragmented in the current version

Due to file system restrictions not all volumes (not supported cluster size) and not all files (free disk space, cluster order) can be defragmented.


Messages and Outputs of the Boot-Time Defragmentation

The following table contains the list of all outputs produced by boot-time defragmentation as well as the explanation.

Message | Type | Explanation
OK | STATUS | The selected file was defragmented successfully.
Already defragmented | STATUS | The selected file is already defragmented.
Volume xyz could not be opened. | ERROR | The selected volume was not found by the system or contains a not supported file system.
Could not open volumes. | ERROR | An internal error occurred due to insufficient free memory or erroneous registry entries for the boot-time defragmentation.
Could not open file. | ERROR | The selected file was not found, is encrypted or has already been locked exclusively by the system.
Not enough space to move. | ERROR | To defrag a file you need free contiguous free space on the disk that must correspond in size to the file. The defragmentation failed due to insufficient free space.
Could not be moved. | ERROR | The defragmentation failed due to file system restrictions.
MFT could not be defragmented. | ERROR | The defragmentation of MFT failed due to file system restrictions.
Not enough space to move the MFT. | ERROR | To defrag the MFT you need free contiguous free space on the disk that must correspond in size to the MFT. The defragmentation failed due to insufficient free space.
Could not write on partition. | ERROR | During the MFT defragmentation an occurred file system error prevented writing on the disk. The MFT is still fragmented. The disk should be checked for errors.
Attribute error found in MFT. Please start chkdsk. | ERROR | During the MFT defragmentation erroneous MFT entries were found. The disk should be checked for errors.


Which Method Should Be Used?

While using O&O Defrag, you can choose between five different defragmentation methods. Not every method is equally well suited for every computer. In order to choose a method you must first decide about purpose and target machine. In this section we provide you with tips concerning the properties of the methods, to help you choose an appropriate method. Please consider that those are general hints that vary in individual cases. If you have any questions, do not hesitate to contact our Support. We would be glad to help you!

How much free space is necessary for defragmentation?

Free disk space is an important factor for a successful defragmentation. The less free space is available, the more time defragmentation will take. It is recommended to provide min. 10% free space on the volume that has to be defragmented. This value nevertheless depends on the individual system configuration and the amount and size of files. The actual free space is of particular importance on NTFS volumes. You can see it in the Volume Information dialog under Free without MFT. Only this space is available for user applications like O&O Defrag. Windows itself can write into the MFT area, other applications are not allowed due to security reasons. This is also the reason why Windows Explorer shows more free space than there is actually available for defragmentation.

Which method for Which Computer?

Here are some propositions concerning the suitable method. Look for those applying to you and determine your ideal defragmentation method.

My Computer is Mostly Used as a Workstation

The methods STEALTH, SPACE and COMPLETE/Name are best suited for a workstation. User files are changed less often on workstations than on servers. Therefore sorting by file name is perfectly suitable to shorten the boot time of the computer. The files that are accessed at startup are in the Windows directory, so that they can be stored one after another. We recommend an initial defragmentation with COMPLETE/Name and afterwards STEALTH or SPACE.

My Computer is Mostly Used as a Server

The STEALTH, SPACE, COMPLETE/Access and COMPLETE/Date are best suited for a server. Files are very often created, changed and removed on file servers. Therefore fragmentation takes place faster and heavier that on other machines. The COMPLETE methods sort the disk in a way that prevents further defragmentations from fully reorganizing the files. Only the files that were changed recently will be defragmented in the future.

We recommend an initial defragmentation with COMPLETE/Date and afterwards STEALTH or SPACE.

Please consider that using COMPLETE/Access or COMPLETE/Date and COMPLETE/Name on one partition significantly increases the time required, as the different sorting opposes each other. Please always choose only one COMPLETE method for a volume!

There is a Large Amount of Files on My Computer

If there are many files saved on your computer, e.g. more than 100.000, then STEALTH defragmentation is the best method for your system. The STEALTH method avoids reading in all data information, which usually takes very much time.

I Have Only Little Memory for the Defragmentation Available

Depending on the amount of files on your computer, the STEALTH defragmentation is the best method. If you have only few files on your system (less than 100.000) you can also use the SPACE method. The STEALTH method avoids reading in all data information and thus does not need additional memory. The defragmentation can take place without affecting the whole system.

I Want to Work Without Restrictions During the Defragmentation

Especially on workstations or servers that have to provide high performance, defragmentation in the background without affecting daily work is of particular importance. In this case we recommend using O&O ActivityGuard Pro that supervises the system load and adjusts the resource usages of O&O Defrag if necessary.


Optimizing Hard Disks With O&O Defrag - O&O ActivityGuard Pro

O&O Defrag | O&O Defrag

O&O ActivityGuard Pro

The O&O ActivityGuard Pro supervises the system load in order to adjust the resource usage of O&O Defrag if necessary. This way you can continue to work without being affected by the defragmentation.

In case of network deployment, this feature is of particular importance. Usually you don't know when which workstation is used and may only use time slots like lunch for defragmentation. With O&O ActivityGuard Pro you can schedule defragmentation at any time. If the user is working, the defragmentation is cut down. If the user leaves the computer, O&O Defrag uses all available resources. Permanent monitoring ensures that the user does not perceive any performance losses.


Automatic Defragmentation by Achieving a Threshold

O&O Defrag V4 contains a completely new function for automatic defragmentation: the so-called Threshold. By means of this threshold O&O Defrag can determine when defragmentation has to start automatically. Thus your system is always maintained at a high-performance level, O&O Defrag takes care of everything else.

Besides the threshold you can set the desired defragmentation method for every partition. Furthermore you have to define the time interval, that the fragmentation checks will take place in. Those examinations will run in the background. If the value set for a partition is exceeded, automatic defragmentation will be executed.

This procedure is particularly suitable if you don't want to schedule jobs or simply want to ensure that your system is always optimized.


User Interface - ComputerControl

O&O Defrag | O&O Defrag

ComputerControl

The ComputerControl controls O&O Defrag. It contains the Volume List and Block View, the Job Scheduling as well as different settings like e.g. O&O ActivityGuard Pro and Threshold.

ComputerControl is identical for Professional and Server Edition. In the Professional Edition you control your local machine, whereas in the Server Edition you can also administer the machines in your network as if you were sitting at them.

Figure 9 ComputerControl of the Professional Edition

Figure 10 ComputerControl of the Server Edition

If you want to administer multiple computers at once you have to use the O&O Defrag SiteControl. It is explained in a further chapter.

Related topics

Installation

Activation


User Interface - ComputerControl - Installation

O&O Defrag | O&O Defrag

Installation

The Installation of the ComputerControl is different in the Professional and Server Editions. Professional Edition installs ComputerControl automatically by the activation of the MMC Snap-In. You don't need to do anything.

In case of using Server Edition you have to install ComputerControl on the machines within the network first. The O&O ComponentInstaller will do this. It is important that the O&O Defrag agent is installed on the machines to get access to the information. O&O Defrag agent does not depend on the user interface; it means that if you install it on a remote machine, the user interface will not be installed automatically. This way you can prevent that the users of the computer affect settings. However, if you want to you can install the user interface. For further information please refer to the chapter Installation.

Related topics

O&O EMC Plug-in

O&O Defrag Agent


O&O EMC Plug-in

O&O EMC plug-ins have been designed to provide easy management of a corporate networking environment. Since having a particular plug-in agent installed on a target machine is necessary for remotely using the plug-ins features, O&O EMC plug-ins are able to install automatically their agents by means of O&O ComponentInstaller. No previous programs have to be installed on the target machine. All settings and files will be transferred automatically.

There are two kinds of plug-ins in O&O Defrag: plug-in for a single machine (ComputerControl) and plug-in for a group of machines (SiteControl). The latter will be explained later on.

To add plug-ins, please choose the command Add Plug-in in the context menu of the management folder or the selected computer and then select the appropriate plug-in.

Click Add and confirm with OK. In the left tree view you will see the O&O Defrag icon below the machine name. It will be activated automatically.

Figure 11 Adding the O&O Defrag Plug-in


User Interface - Installation - O&O Defrag Agent

O&O Defrag | O&O Defrag

O&O Defrag Agent

If the Agent is not installed on the remote machine or if the version is outdated you will get a message from O&O ComponentInstaller that informs you about the installation of the agent.

Please confirm the installation. After the completion a status report will be displayed. It informs you about the success of the operation. If the installation was not successful please check the settings on your and on the remote machine. The rights are of a particular importance. You will find more information in the chapter Questions and Answers.


User Interface - ComputerControl - Activation

O&O Defrag | O&O Defrag

Activation

After a plug-in is added it will be activated automatically. In following sessions you can activate the plug-in with the icon that is displayed under the machine in the O&O EMC view. The ComputerControl will be shown in the right part of the screen.

The first connection can take some time. If the machine is not accessible, e.g. because it is shut down, an error message will be displayed.


Main View

Main Window

Toolbar

Menu Bar

Volume List

Cluster View

Job View

ClusterInspector

Volume Information


Main Window

The graphical user interface offers a convenient and easy handling of O&O Defrag. All program information is displayed here, every action can be launched and closed and every setting can be adjusted.

The toolbar is displayed across the top of the application window, next to the menus. It provides shortcuts to often used commands.

Beside the menu bar, the toolbar and the status bar the main window is divided into two areas:

  • Volume List – shows all available drives, the current status, and some additional information. The list is in the upper half of the windows.
  • In the lower half of the window you can switch between the Job View and the Cluster View, which displays the cluster maps of the analyzed volumes. The Cluster View also contains the legend with a short explanation of the block types.

Figure 12 Main Window of O&O Defrag Professional Edition


User Interface - Main View - Toolbar

O&O Defrag | O&O Defrag

Toolbar

The toolbar is displayed across the top of the application window, below the menus. It provides shortcuts to often used commands. Each button has two states: enabled, i.e. you may execute the command, or disabled, i.e. the command is currently not available. If a button is lowered, the corresponding command takes place or the corresponding option is chosen.

Click | … to invoke the action listed below:
 | Start analysis of selected volume.
 | Check selected volume(s).
 | Start defragmentation for selected volume(s).
 | Pause current process (analysis or defragmentation).
 | Stop current process (analysis or defragmentation)
 | Display cluster map.
 | Create a new defragmentation job.
 | Create a new defragmentation task.
 | Remove the selected job or task from the computer
 | Change the properties of the selected job
 | Show Volume Information dialog.
 | Set options for the selected computer


Menu Bar

The menu bar of O&O Defrag is integrated into the Microsoft Management Console MMC). You will find the main menu of O&O Defrag in the Action Menu of the MMC. Further context menus can be found in the Cluster View, in the Volume List and in the Job View. The most common commands were integrated into the Toolbar.

Every menu can be selected either with the mouse or with the keyboard. Therefore use the keyboard shortcuts or navigate with the arrow buttons through the menus and submenus. You can choose an entry by pressing the Enter key.


Volume List

The Volume List displays all available and accessible drives on your local computer. It can be configured individually by drag-&-drop or the column menu. It shows

  • Current State, i.e. a running analysis or defragmentation
  • How much of this process already is Done (value in %)
  • How many Fragmented Files have been detected on the particular volume
  • Size (of the selected volume) in MByte and its Free Space in MByte,
  • File system (FAT, FAT32, NTFS etc.)
  • And the currently processed File or Directory during defragmentation.

You can right-click on a volume to open a context menu. Its commands are described in the Command Index.


User Interface - Main View - Cluster View

O&O Defrag | O&O Defrag

Cluster View

The Cluster View can be opened or closed by clicking on the Cluster View icon in the toolbar.

Figure 13 Cluster View

The Cluster View displays the cluster maps of the analyzed volumes. O&O Defrag allows displaying multiple cluster maps at the same time by selecting the volumes in the Volume View while holding down the Ctrl-Key.
You can also select a series of volumes by holding down the Shift Key and clicking on the first and last one of the volumes you want to select. If you want to select them all, hold down the Ctrl-Key and press A.

The Cluster View will be split into multiple views, each displaying the cluster map of one volume. You can display as many Cluster Views as you like to. Each Cluster View can be configured individually.

The context menu(s) opened by right clicking within the Cluster View is valid only for this one volume; a context menu opened outside (in the gray zone) is valid for every Cluster View.

Related topics

Changing Settings

3D View

Faded

Block Size

Legend


Changing Settings

To alter the settings, open a context menu by double-clicking on the Cluster View. You can alter the settings regarding the display of the block maps by selecting or deselecting the appropriate option. Please note that if you click in the gray zone next to the actual Cluster View changing settings will be applied to all displayed block windows.


3D View

Try if you like to display the clusters with a drop shadow. If unchecked, the clusters are going to be displayed as plain boxes.


User Interface - Cluster View - Faded

O&O Defrag | O&O Defrag

Faded

O&O Defrag offers a new display style: shaded blocks. This is very useful to see how much free space is left on your volume and where free spaces is located on the hard disk.

When the Faded mode is activated, the color of the blocks will fade from light to dark the more it is occupied. This means that if your clusters are spread all over the disk, the Non-Faded display would show a filled cluster map although there is plenty of free space left. The Faded mode gives you a visual feedback of the blocks that are filled or empty.


User Interface - Cluster View - Block Size

O&O Defrag | O&O Defrag

Block Size

You can select the size of the block images that are used to display the cluster map. The size of the images ranges between 3 and 18 pixels. A smaller block size shows more blocks and therefore more information about your volume since fewer clusters are summarized to a block.

We recommend a size of 8 pixels.


Legend

The Block Types Legend shown below shows the cluster colors used in the Cluster View. Every block of clusters is given a "classification" that shows you which types of clusters it contains.

Block Types

Unused (white) | All clusters are empty.
Compressed (bright blue) | At least one cluster is compressed (NTFS only).
Used (dark blue) | At least one cluster contains data.
Fragmented (red) | At least one cluster belongs to a fragmented file.
Reserved for MFT (yellow) | At least one cluster is marked as MFT reserved.
System block (dark green) | At least one cluster belongs to a system file.
Paging file (dark purple) | Block contains clusters of NT's paging file.
Locked exclusively (bright purple) | Block contains files exclusively locked by the system or other applications, e.g. the registry.
Moving cluster (light blue) | O&O Defrag is moving on one or more clusters to a new location.
Directory (bright green) | Block contains clusters of one or more directories (only Windows 2000/XP)

Classification Priority

If one block has several classifications, e.g. it contains a system cluster and a fragmented cluster; priority is given to the classification. Below, you can see the order from the highest priority to lowest:

  1. Moving cluster (highest priority)
  2. Fragmented
  3. Locked Exclusively
  4. Paging File
  5. Used Block
  6. Compressed
  7. System
  8. Reserved for MFT
  9. Temporary System
  10. Empty Block (lowest priority)

    Note: This scheme is invalid in the Faded mode. When the Faded mode is enabled, all clusters have the same priorities and are being mixed.


User Interface - Main View - Job View

O&O Defrag | O&O Defrag

Job View

The Job View displays all scheduled jobs and their properties under the site that is selected. It is divided into ten columns. By selecting View from the Job View context menu you open a dialog, where you decide which columns and in which order should be shown or hidden. The order can also be changed directly via drag-and-drop in the job window.

In the Job View you can obtain information on:

  • Job/Task ID, which consists of the appointing user and a name
  • Destination, i.e. the target machine in the network, where this job has to be executed
  • Volume(s), which will be defragmented by the job
  • Time the job last Started at
  • Time the job last Stopped at
  • Start Date assigned to this job (i.e. next Mon, Thu…; next 1, 7, 28, 31…)
  • Current Start Time (does not have to be defined)
  • Stop Time (does not have to be defined)
  • Status of the ActivityGuard (yes means that the Guard is activated, and thus only max. 50% of the CPU resources are being used during the defragmentation)
  • Parallel defragmentation of all volumes (can be on or off)
  • Number (#) of runs, that shows how often the job has already been executed


ClusterInspector

O&O Defrag offers a handy tool to find and inspect files within the Cluster View: the ClusterInspector. You can activate the ClusterInspector simply by clicking on a cluster block in the Cluster View. The dialog box shown below will pop up. With it you can find out which clusters are occupied by which files. The first and the last cluster are followed by the complete filename.

To jump to another cluster/block, you can select its start cluster and click 'Update'. The list will immediately be updated. If you enter a cluster number larger than the number of clusters on this volume, you will receive an error message.

Figure 14 ClusterInspector


Volume Information

The Volume Information dialog can be opened by clicking on the appropriate toolbar button or over the context menu in the Volume List. It displays useful information about the volume and its fragmented files. There are four different property pages you can check.

Figure 15 General Volume Information

Related topics

General

Fragmented Files

Exclusively Locked Files

Status Report


User Interface - Volume Information - General

O&O Defrag | O&O Defrag

General

Divided into four areas, this tab control provides information about your drive, clusters and MFT. The dynamically actualized pie chart displays information corresponding to the Cluster View.


Fragmented Files

Lists of all fragmented files including the number of fragments as well as start and end clusters. You can change the sorting by clicking on the appropriate heading bar.


Exclusively Locked Files

Lists all fragmented system files, including the number of fragments and start and end clusters. They are exclusively locked by NT/2000 and cannot be defragmented during the runtime. You can defrag them during the boot time. Therefore, select the Boot-Time Defragmentation tab in the Settings Dialog and click Select Files.


Status Report

The status report informs you about the file system and the amount of files on your volume in addition to the dynamically actualized state of defragmentation. The number of fragmented files before and after defragmentation is listed as well as some additional helpful information.

Figure 16 Volume Information – Status Report

The Status report can be displayed automatically after completion.


Settings

General

Advanced

Boot-Time Defragmentation

Auto-Defrag (Threshold)


User Interface - Settings - General

O&O Defrag | O&O Defrag

General

In the General tab from the Options dialog, that can be opened from the toolbar you can set various options, i.e. whether to launch chkdsk every time before the volume is defragmented or whether to show the Volume Information dialog after defragmentation. The usage of the ActivityGuard during defragmentation can be enabled as well as the defragmentation of removable drives.

Figure 17 General Settings

Options

Check volumes before running defragmentation – When activated, the drive will be checked before a defragmentation is started (chkdsk). If an error is detected, the defragmentation will not be executed.

Allow removable drives to be defragged – If you want to defrag ZIP disks or other removable media, check this option. Please note that a media has to be present in the drive to be detected by O&O Defrag.

Automatic defragmentation of locked files – If O&O Defrag detects a locked file during defragmentation, it will be automatically added to the list of files being defragged during boot time.

Event Logging

Allows you to enable or disable event logging. You can choose the level of logging from the dropdown box.

There are four levels of event logging supported by O&O Defrag:

  • Level 1: Report errors only.
    Only errors that occur during program execution are being reported to the Event log. Errors cannot be recovered by the application. Usually they lead to an abnormal termination.
  • Level 2: Report warnings and errors.
    Like level 1, additional warnings are being logged. Warnings signal critical situations that could be recovered. They do not lead to a program termination.
  • Level 3: Report information, warnings and errors.
    Like level 2, additional information events are logged, e.g. start and termination of the application, start and termination of actions such as analysis.
  • Level 4: Report any information provided.
    All log information generated by O&O Defrag will be written to the Event log. Use this option with care since many events can be generated, causing the Event log to overflow.

Note: A higher level generates more events. The performance of the system might suffer from heavy access to the Event log.

O&O ActivityGuard Pro

O&O ActivityGuard Pro scans the system load and adjusts O&O Defrag's resource usage accordingly. It allows you to ensure that you can continue to work without being affected by the defragmentation running in the background.

If you activate ActivityGuard Pro, O&O Defrag surveys during its execution the system load and adjusts it accordingly.

Choose one of the following options:

  • Disabled – ActivityGuard Pro is turned off. O&O Defrag uses all available resource for defragmentation. Use this option, if you require a fast defragmentation.
  • O&O AutoSense – O&O Defrag computes the optimum value automatically. This option ensures balanced usage of resources to allow continuing work while defragging.
  • User defined – You can set the amount of processor usage in percent, which shall be used by O&O Defrag. Select from 1 to 100% by using the slider control or by entering the value in the text field.


Advanced

Figure 18 Advanced Settings

User Interface Settings

Show summary at end of defragmentation – A status report will be shown when the defragmentation process has finished.

Use alpha blended dialogs (Windows 2000 and Windows XP only) – Dialogs of O&O Defrag will be faded in smoothly.

Look-&-Feel – Choose the appearance of O&O Defrag: Windows NT 4, Windows 2000, or Windows XP. Please note that each mode is only available on the corresponding operating system. Downward compatibility is available, so that you can choose from all three modes on Windows XP, on Windows 2000 only the two modes Windows NT 4 and Windows 2000. And finally, Windows NT 4 does only offer one mode.

Data Cache of Cluster View

The O&O Defrag agent caches its analysis data for a certain amount of time. If this time has passed, the memory will be freed. If you want to adjust the time span of caching these data, you can use the slider control. The longer the time span, the longer you can see analysis data in the Cluster View and the more memory will be used.

Excluding and Including Files

You can "fine tune" your defragmentation by excluding certain files from defragmentation or including them.

Clicking on Select Files from the File Exclusion/Inclusion section causes a two-window dialog to appear.

Figure 19 Exclude/Include Files

Files – all accessible files on your computer. Click on the volumes and/or directories to expand or collapse the file list.

Items excluded from/included in defragmentation – By using the tab control at the bottom of the dialog, you can switch between the two lists of excluded and included files. Both are sorted alphabetically and show all files and directories. Directories have the extension '*.*' to remind you that all files and subdirectories are also excluded or included.

The inclusion of files overwrites the exclusion, i.e. if you exclude a directory, e. g. C:\WINNT from defragmentation, and include a subdirectory, e. g. C:\WINNT\Profiles, the subdirectory will be defragmented, but all other files and subdirectories will not be defragmented. This is particularly useful for volumes with a content that does not change very often, such as system volumes, where only a few directories will be changed from time to time, such as user profiles and temporary Internet files.

Adding a file/directory – To add a file or directory to a list, please select it from the files list box and click the 'Add' button. You can also include or exclude a file by double-clicking it.

Removing files/directories – Please select the file or directory you want to remove from the list and click the Remove button. The multiple selection option is also available. To delete all items from the list, please click the Remove All button.


User Interface - Settings - Boot-Time Defragmentation

O&O Defrag | O&O Defrag

Boot-Time Defragmentation

Files must be selected explicitly for boot-time defragmentation. Please use the Boot-Time Defragmentation tab from the Options dialog to select the files you want to defrag during system startup.

Figure 20 Settings – Boot-Time Defragmentation

Enabling Boot-Time Defragmentation makes the other options accessible. Otherwise they are grayed.

To add a paging file, the registry, or the MFT, please click the corresponding button and O&O will add the appropriate files for you.

By pressing Selecting Additional Files you can open the File Selection dialog. The upper window shows volume structure similar to the Windows Explorer where you can select files. The lower window shows the list of the selected files for boot-time defragmentation. You can add a file by highlighting it in the structure tree, then clicking the Add button. With one click on Add Exclusive you can add all the files that are usually exclusively locked during runtime of Windows NT/2000. This feature is available only after the volumes have been analyzed.

Figure 21 Additional Files for Boot-Time Defragmentation

To remove a file, please select it from the file list and click Remove. To remove all files, click the Remove All button. You can also select multiple files to remove them.

As there is no possibility for a graphical output of the results of the boot-time defragmentation, there will be a text display in the blue screen to inform you about the proceeding process.


Auto-Defrag (Threshold)

O&O Defrag V4 contains a completely new feature for automatic defragmentation in the background: Threshold. By setting this threshold, you can determine, when a defragmentation shall start automatically. This ensures that your system is automatically kept at peak performance!

Figure 22 Settings - Threshold

Besides the threshold, you can select the defragmentation method for each volume. Also, you must select the time how often the threshold will be checked. This check is run in the background and does not affect your current work. If the fragmentation level of a volume is equal or higher than the threshold, an automatic defragmentation will be launched.

Select one or more volumes in the dialog and open the context menu with a right mouse-click. You can choose the defragmentation method.

Using the horizontal slider control, you can determine the time span between two fragmentation level checks. This can range from one minute to seven days.

Using the vertical slider control, you can determine the fragmentation level (threshold) for each or all volumes. Possible values range from 0 to 100%, where 0 means every time and 100 never.

This procedure is well suited if you do not want to schedule defrag jobs and you want to ensure that your systems run at the highest performance level possible.


Analysis

To get information on fragmented files, system files and other files, highlight a volume in the Volume List and click on Analyze in the computer context menu or use the toolbar button. The columns in the volume list show the status of the analysis. You can stop the analysis process at any time just by clicking on the Stop-button in the toolbar or choosing Stop from the Action menu.


Starting Defragmentation

Defragging a Volume

Defragging Multiple Volumes


Defragging a Volume

To defrag a volume, select the volume in the Volume List. When the volume is highlighted, click on Start to defrag the drive. The following dialog will ask you for the defragmentation method to be used.

Figure 23 Select Defragmentation Method

Before the defragmentation process begins, the volume will be analyzed. You will see an analysis symbol attached to the highlighted volume. If you have already analyzed the volume before, the defragmentation process will start immediately.


Defragging Multiple Volumes

O&O Defrag allows you to defrag several volumes consecutively in one run. Therefore, you can either select particular volumes or defrag all volumes.

To select more than one volume, please highlight the volumes in the Volume View and left-click while holding down the Ctrl-Key.
You can also select a series of volumes by holding down the Shift Key and clicking on the first and last one of the volumes you want to select. If you want to select them all, hold down the Ctrl-Key and press A.


Job Management

In order to preserve the maximum system performance, regular defragmentation must be applied. O&O Defrag offers a unique and easy way of accomplishing this task by creating scheduled defragmentation jobs. Each job can be configured individually for certain volumes.

In the ComputerControl every existing volume can be seen, in the SiteControl the program distinguishes automatically between system and data volumes. To each of them you can apply different methods of defragmentation, thus guaranteeing well-directed optimization.

Although the scheduled jobs will stop automatically when defragmentation is finished, the possibility to set the stop time is also given. The running job will therefore be forced to halt regardless of the current defragmentation status. This way situations leading to loss of time and profit can be prevented. They can for example occur by defragmentation of large servers overnight. In case defragmentation is not completed until the regular work starts, the users could be troubled and the administrator forced to stop the job manually.

The jobs can be set to run several times. Once configured, they can be run with every desired pattern: any specific date or weekday can be set. The administrator therefore does not need to remember when to defrag which machines and everything is taken care of automatically. The jobs that were set to run only once are not deleted from the list. Providing another start time can recycle them.

For best possible results a lot of specific options can be integrated into your jobs. For example you can choose to run chkdsk before defragmentation. If errors are found on your drives, the concerned volumes will not be defragmented thus preventing a spread of the damage.

In case you need the process to be as fast as possible, you can enable the Parallel Defrag, so that your volumes will be defragmented simultaneously. On the other hand, if the defragmentation is executed during the working hours the users must not be hindered. In this case the O&O ActivityGuard Pro can help you control processor usage, by reducing demands on the CPU posed by this job and balancing them by multiprocessor systems.

With the Append Job option you can append an existing job to another one. The appended job will be executed, when the first job stops running, regardless of its own start time. A clever choice may be a combination of a job providing STEALTH method defragmentation and the second working with the COMPLETE method. This way the volume is "pre-optimized", and the second job becomes faster and more efficient by using less of the resources. The number of jobs that can be combined is unlimited, so an endless chain of jobs can be created this way, providing reliable defragmentation around the clock.


Differences Between Tasks and Jobs

A job is used to automate defragmentation at certain points of time with certain options. A task can only be started manually. A task is not stored on the agent side, but in your MSC-file. You can use tasks to store certain settings for reoccurring defragmentation situations, so that you do not to enter the options every time again. You can reuse a task at any time, e.g. to defrag selected drives with appropriate defragmentation methods.


Managing Tasks

Adding a Task

Changing Task Settings

Removing a Task

Duplicating a Task


Adding a Task

The Task dialog can be invoked from the toolbar or the context menu. Here you can schedule a defragmentation task, which will appear in the Job View and can be distinguished by a different icon. In contrast to a job, a task cannot be assigned to start automatically, but has to be sent individually every time you want to execute it.

Figure 24 Task Settings

For extended information on task settings please refer to the explanation of Job Parameters.


Changing Task Settings

To change the settings of a task, you have to select the task and choose Properties from the context menu. Change the parameters and click the OK button to confirm the new settings. Clicking the Cancel button will discard your changes and leave the old parameters unchanged.


Removing a Task

To remove a task, please select it and choose Delete from the context menu. You will be asked to confirm the removal.

Note: The removal of a defragmentation task cannot be undone.


Duplicating a Task

You can duplicate a task including all its settings by choosing Duplicate from the context menu or by selecting the task and choosing Duplicate in the toolbar.


Managing Jobs

Adding a Job

Job Settings

Advanced Job Settings

Changing Job Settings

Removing a Job

Duplicating a Job


Adding a Job

To add a defragmentation job, you have to invoke the Add command from the context menu or toolbar. The dialog shown below will be displayed:

Figure 25 Job Settings

There you can choose the start time, the method, the scheduling scheme and further parameters of the job.

When you have finished settings, please click the OK button. The newly added job will be displayed in the Job View.


Job Settings

The following parameters can be applied to an O&O Defrag job:

Time

The time of the job can be entered in hours and minutes. Please consider that it has to be entered in 24-hour mode. You can either enter the time directly by clicking on the field and using the keyboard or via the dropdown menu.

Recurrence Pattern

Here you can define the methodology of this job. You can choose only one of the four possibilities. If you choose the 3rd or 4th entry, further settings become available.

Today: This job will be executed today at the defined time.

Tomorrow: This job will be executed tomorrow at the defined time.

Next: This job will run only at the dates selected on the right. Weekdays are displayed by default. With the Week/Day button you can open a field with dates from 1 to 31. You can select only days of this week or this month.

Every: The job will run on the selected days every week or every month till the year 2099.

Week/Day: You can either select the days of the week (Monday, Tuesday, Wednesday, Thursday, Friday, Saturday, Sunday) or the days of the month (1-31). Multiple selections are allowed. To select a continuous series of days, please select the first day by clicking on it. Then move to the last day and click on it while holding the Shift key down.

Volumes/Defragmentation Pattern

Select volumes to be defragmented and the defragmentation method to be used.

Options

Multiple O&O Defrag jobs can run on the same machine simultaneously. With the following options you can decide how the job will behave relatively to the system and to other jobs.

Parallel Defrag – When set, the job will run in parallel on all partitions to which it was set to run.

Use ActivityGuard – Setting this option will reduce the demands posed by this job on the CPU, if the usage of the CPU by other programs exceeds a certain level.

Job overrules others – When set, the job will have priority over other jobs running on the same volume. Consequently, other O&O Defrag jobs running on this volume will be stopped.

Use chkdsk – Checking this will cause the job to scan volumes before defragmentation. In case errors are found, the volume will be skipped and the program will proceed with the defragmentation of other volumes.

Append job – With the Append job option you can append a job to another. When the first job stops running, the appended job will be run regardless of its job time. To select a job to append, please click on the arrow at the right side of the Append Job field and select the job you want to append.

Ext. ID – In this field you can give names to your jobs. The name of the appointing user appears by default.


Advanced Job Settings

Figure 26 Advanced Job Settings

General Settings

Defrag (physical) volumes parallel – If selected, all hard disks will be defragged in parallel, thus saving time when executing the job.

Automatic shutdown – The computer will be automatically shut down after the jobs have finished.

Higher priority – If a job with a higher priority is started, all currently running jobs will be stopped. The job overrides any other jobs.

Check volumes for errors – Checks all volumes for errors before defragmentation starts. If an error is found, the drive will not be defragged.

Append Job – With the Append job option you can append a job to another. When the first job stops running, the appended job will be run regardless of its job time. To select a job to append, please click on the arrow at the right side of the Append Job field and select the job you want to append.

Ext. ID – In this field you can give names to your jobs. The name of the appointing user appears by default.

O&O ActivityGuard Pro – Setting this option will reduce the demands posed by this job on the CPU, if the usage of the CPU by other programs exceeds a certain level.

As long as it has been deactivated, the ActivityGuard will not be used and all available resources will be used for O&O Defrag. When choosing "O&O AutoSense", the optimum system load will be computed by O&O Defrag and automatically set. "User defined" allows you to give O&O Defrag an upper limit for the system usage, which can be between 0 and 100 percent. We recommend 1 to 10% as maximum levels, if you want to continue working without any remarkable effects on the response time of your system. Please note that the time needed for completing the defragmentation process increases with lower maximum levels.


Scheduling Defragmentation - Managing Jobs - Changing Job Settings

O&O Defrag | O&O Defrag

Changing Job Settings

To change a job's settings, you have to choose Properties from the context menu. Change the parameters and click the OK button to confirm the new settings. Clicking the Cancel button will discard your changes and leave the old parameters unchanged.


Scheduling Defragmentation - Managing Jobs - Removing a Job

O&O Defrag | O&O Defrag

Removing a Job

To remove a job for a particular volume, please select the job and choose Delete from the context menu. You will be asked to confirm the removal of the job.

The removal of a defragmentation job cannot be undone.


Duplicating a Job

You can duplicate a job including all its settings by choosing Duplicate from the context menu or by selecting the job and choosing Duplicate in the toolbar.


Hints for Job Scheduling

It is recommended to use one of the COMPLETE methods at least once a week. The following chapters describe which method is suited for which machine.

Otherwise the SPACE method is very well suited. If the partition is very large and/or contains many files, the STEALTH method should be preferred.


The Best Defragmentation Method for Every System

Regular defragmentation is the key to maximum system performance. As Windows NT/2000 does not provide any mechanisms to prevent fragmentation, you have to defrag your volumes at certain intervals to keep your system in good shape. O&O Defrag automatic defragmentation will help you to get the best results.

You should develop a schedule based on your system's environment. Here are some questions that have to be considered before you can start scheduling:

Are you running a Workstation or a Server?

Is your system running for 24 hours a day or is it shut down when you leave?

Do you often change files on your system, add new and/or delete old ones?

In the following sections we would like to provide you with some hints on how you can optimize the configuration of O&O Defrag for your system.

Workstation or Server?

When you are running an NT/2000 Server, this type of system is often used as a file server or application server, thus requiring good response times during your business hours. Although O&O Defrag is quite resource saving, it will require some processor time and it accesses the hard disk. Therefore, you should schedule defragmentation out of your business hours, e.g. during the night.

24-hours-a-day?

A Workstation usually runs during the business time. Therefore you need to schedule defragmentation at a point of time when the system is definitely running. Although user's work is not being affected by defragmentation, we recommend choosing a time when the user is not at his or her workstation, e.g. during lunchtime. Systems running 24 hours a day can be defragmented at any time you wish.

Files often change?

When you change your files often, you should use the SPACE method in order to reduce the time needed for defragmentation. Keep in mind that COMPLETE does a full reorganization of your volumes depending on the chosen sorting method. File servers with a very large file amount (from approx. 1.2 million) should be defragmented with the STEALTH method, because it is executing much faster on these systems and uses not nearly as much resources.

For file servers and database servers we recommend COMPLETE/Date method or COMPLETE/Access, since this method sorts by the date of last modification and leaves all unchanged files untouched. Mixing both COMPLETE methods is not recommended, as it results in constant reorganization of all files.


Management Console of O&O Defrag (Server Edition) - Introduction

O&O Defrag | O&O Defrag

Introduction

O&O Enterprise Management Console (O&O EMC) is based on two standards: the Microsoft Management Console, the future tool for administration of computers, as well as COM/DCOM, which unifies network communication in Windows-networks. This guarantees compatibility to future developments and protects your investments.

Technically spoken, O&O EMC extends the view of the Microsoft Management Console from a single computer to the whole network. Neither the implemented NT domain model nor the network protocol is important. Of course, the O&O EMC preserves all security features of Windows NT 4, Windows 2000 and Windows XP.

In the following we will refer to O&O EMC as the "Management Console" of O&O Defrag. Formerly it was also known as the "Admin Console". By Management Console we mean the O&O Enterprise Management Console as well as the Microsoft Management Console lying beneath.

The most important components of the O&O EMC are so-called "plug-ins". Plug-ins are extensions like Microsoft Internet Information Server or SQL-Server. They offer certain functionality within the O&O EMC to the user, e.g. anti-virus software or a network defragmentation like O&O Defrag. These plug-ins can remotely be installed, configured, or even removed at any time. The O&O EMC already has some built-in plug-ins:

  • O&O RemoteConsole – starts an MS-DOS prompt for any machine on your network. You can use all known DOS commands, as if you were locally working at the machine.
  • O&O SoftwareInventory– shows all installed applications on all systems. This way you can easily keep your whole network in view.
  • O&O EventViewer – displays all logged events on a remote machine. Filters can be applied to select certain types of events. Respond faster to important events in your network!

With O&O Defrag Server Edition another plug-in has been added to O&O EMC. This plug-in allows easy and fast administration of all computers in your network – independent of the number of machines and their hierarchical or geographical arrangement within the company.


O&O Enterprise Management Console (O&O EMC)

By using O&O EMC you can arrange the computers in your network independently of the NT domain model. You can create a site structure that allows you to combine computer of different domains. In contrast to domains you can create sub-sites and thus build a stricter hierarchy. Every site contains a Management folder. Sites can consist of single computers or of sub-sites.

The basic idea of network deployment is the network-based installation of software from a central computer on multiple target machines, without the necessity to initialize and supervise the installation process on any single machine. In contrast to the conventional installation process on multiple machines you don't have to execute the installation through data carriers like CD-ROMs nor manually initialize and supervise the installation process, for it can become an annoying and time-consuming adventure, especially in a large network. As the software installation is network based and controlled by a central entity, the whole installation process can be executed remotely and simultaneously on all target machines, e.g. from a WAN-Client abroad. In few words, the benefits of network deployment are the following: saved time, no data carriers, no need to control the installation process manually, independence of the geographical location of target machines.


Creating a Group of Computers (Site)

To create a site press the Add Site button at the tool bar, choose the command Add Site from the current context menu or the Action menu. These commands will be available either when a site is selected or when O&O EMC is selected.

To remove a site press the Delete button in the tool bar or choose the command 'Delete' from the current context menu or the Action menu.


Adding Computers to a Site

Adding and Removing Computers

Domains

Browsing Computers

Computer Properties

The Management Folder

Export and Import of Sites


Adding and Removing Computers

To add a computer to a site you can either do it via drag-&-drop from the browsed network or use the command Add Computer in the context menu of a site or in the Action menu when a site is selected. You can as well press the appropriate button in the toolbar.

Figure 27 Adding a Computer to a Site

To remove a computer you can use the command Delete in the context menu of a site or in the Action menu when a computer is selected. You can as well press the appropriate button in the toolbar.


Domains

You can also add complete domains to your site. Just drag the domain from the ComputerBrowser to the Site.

Figure 28 Adding a Domain to a Site


Browsing Computers

The ComputerBrowser scans the network for installed computers. In the Console Tree view, both single computers and domains are being displayed.

Figure 29 ComputerBrowser for Scanning Your Network Neighborhood


Computer Properties

Each computer of your network has the following characteristics:

  • NetBIOS-Name, e.g. ANDROMEDA
  • DNS-Name, e.g. andromeda.domain.com
  • IP-Address, e.g. 192.168.10.10

    These characteristics can be set and changed in the Computer properties dialog. To open the Computer properties dialog, select a computer from the Console Tree and press the Properties button in the context menu.

Figure 30 Properties of a Computer

If no NetBIOS name for the computer is set, O&O EMC will try to establish a connection over the DNS name. If no DNS name is known either, O&O EMC will connect by using the IP address.


The Management Folder

This folder can contain plug-ins for O&O EMC. These plug-ins are relevant for the computers of the entire site and can be run on each machine.


Export and Import of Sites

Site structures of the O&O EMC can be exported. This feature can be very useful especially for large companies with numerous machines because it rids you from the necessity to build your site structure manually. Typing the relevant commands into a text editor is a much quicker process than building a site structure by drag and drop. You just have to open the import/export file and to write your commands and the names of your applications in plain text mode.

Figure 31 Structure of a Site

# Enterprise-Management-Console Import/Export File
Version=101
[EMC]
{
    [SITE]
    NAME=SITE A
    APP=OODEFRAGNET
    {
        COMPUTER1|NULL|NULL
        {
             APP=OODEFRAGNETSITE
         }
    COMPUTER2|NULL|NULL
         {
             APP=OODEFRAGNETSITE
         }
     }
}

Figure 32 Example File Structure

These export files can be changed and re-imported to simplify the process of building a new site structure.

Related topics

File Structure

Structure Elements

Update (Import)


File Structure

These lines must initiate each import/export file:

# Enterprise-Management-Console Import/Export File
Version=101


Structure Elements

EMC

The O&O EMC is set by the identifier "[EMC]". This term is only allowed to appear once, at the top line of the file.

SITE

A site is set by the identifier "[SITE]". This term can be used as often as required, it depends on how many sites you want to manage.

COMPUTER

Each computer has three characteristics:

  • Name
  • DNS name
  • IP address
APP

The identifier APP allows you to add a plug-in to a management folder or to each single computer.

Properties

No properties are supported at the present time.


Update (Import)

To update/import your new site structure choose Import from the context menu of O&O EMC. Provide the file name and acknowledge the import. The new site structure will be immediately available.

Note: When you import a new site structure, the old structure will be overwritten. This cannot be undone. Please backup your console file (MSC file) before importing a new structure!


Enhancing the O&O EMC by Plug-ins

Introduction

Sense and Purpose

Using Plug-ins

Adding Plug-ins


Management Console of O&O Defrag (Server Edition) - Enhancing the O&O EMC by Plug-ins - Introduction

O&O Defrag | O&O Defrag

Introduction

The functionality of O&O EMC can be extended by installation of plug-ins, e.g. O&O Defrag, anti-virus software or similar applications.

The uniform rules given by the MMC have to be obeyed by all built-in applications. In consequence of this the handling of a plug-in has to be learned only once. So O&O EMC can be enhanced without forcing the user to learn another GUI. The following plug-ins are easily accessible to the user and the learning time is very short.


Sense and Purpose

O&O EMC plug-ins have been designed to provide effortless management of a corporate networking environment. Since having a particular plug-in agent installed on a target machine is necessary for remotely using the plug-ins features, O&O EMC plug-ins are able to automatically install their agents on machines they are not installed on. This is done using the O&O ComponentInstaller, which handles the whole installation process on a particular target machine. Even if O&O EMC itself is not installed on a target machine, it can be administered with O&O EMC plug-ins after O&O ComponentInstaller has installed their agents on demand.


Using Plug-ins

Two different kinds of plug-ins can be integrated into the O&O Enterprise Management Console: plug-ins for single computers and plug-ins for entire sites. O&O EMC features three plug-ins which are already built in:

  • O&O RemoteConsole
  • O&O SoftwareInventory
  • O&O EventViewer

    O&O EMC can be as well extended by additional plug-ins of your own choice.


Adding Plug-ins

To add plug-ins, please choose the command 'Add Plug-in' in the context menu of the management folder or the selected computer and then select the appropriate plug-in.

Figure 33 Adding Plug-ins


Removing Plug-ins

To remove a plug-in, please choose the command 'Delete' in the context menu of each plug-in. The plug-in will be deleted immediately!

Related topics

Installing Plug-ins on Remote Computers

Removing Plug-ins From Remote Computers

Activation


Installing Plug-ins on Remote Computers

Built-in plug-ins can detect if the server they require to run is installed on the target machine. If not, they can install the necessary components on the target machine automatically. You will only be asked to confirm the installation.


Removing Plug-ins From Remote Computers

To remove plug-ins from remote computers you can either use O&O SoftwareInventory or the Delete entry in the context menu.


Management Console of O&O Defrag (Server Edition) - Removing Plug-ins - Activation

O&O Defrag | O&O Defrag

Activation

To activate a plug-in, expand the list of plug-ins of a computer and select the plug-in with a mouse click.

Figure 34 Activation of a Plug-in


Management Console of O&O Defrag (Server Edition) - ComputerControl

O&O Defrag | O&O Defrag

ComputerControl

Installation

Activation


Management Console of O&O Defrag (Server Edition) - ComputerControl - Installation

O&O Defrag | O&O Defrag

Installation

O&O EMC-Plug-in

O&O Defrag Agent


Management Console of O&O Defrag (Server Edition) - Installation - O&O EMC-Plug-in

O&O Defrag | O&O Defrag

O&O EMC-Plug-in

First, create a site.

Figure 35 Creating a Site

Now add a computer. Use the context menu Add Computer or drag and drop a Computer from the ComputerBrowser into the site.

Figure 36 Adding a Computer to a Site

Select the added computer. If there are already installed plug-ins they will be displayed under the computer.

Figure 37 Installed Plug-ins of a Computer

To add more or new plug-ins click with the right mouse button on the computer and choose Add Plug-in from the context menu.

Figure 38 Plug-in O&O Defrag Has Been Added


Management Console of O&O Defrag (Server Edition) - Installation - O&O Defrag Agent

O&O Defrag | O&O Defrag

O&O Defrag Agent

Installation "on-demand" is supported: as soon as the plug-in detects that the Agent is not installed on the target machine, automatic installation (via OOCI) is being offered.

If O&O ComponentInstaller is not installed on the target machine yet, it must be installed first. The following dialog appears:

Figure 39 Install O&O ComponentInstaller on Target Machine

If O&O Defrag Professional has already been installed on the computer, the existing agent will be used automatically, another installation is not necessary. Otherwise installation of the agent will be offered.

Figure 40 Install O&O Defrag Agent


Management Console of O&O Defrag (Server Edition) - ComputerControl - Activation

O&O Defrag | O&O Defrag

Activation

To invoke an installed plug-in, click or double-click on the plus icon next to the computer.

After the plug-in list has been expanded you can invoke a plug-in by clicking on it. Every time the version of the Agent on the target machine will be detected. If there is a more current version on your computer, an update possibility will be offered.

Figure 41 O&O Defrag Plug-in is Activated


SiteControl

Installation

Activation


Management Console of O&O Defrag (Server Edition) - SiteControl - Installation

O&O Defrag | O&O Defrag

Installation

O&O EMC-Plug-in

O&O Defrag Agent


Management Console of O&O Defrag (Server Edition) - Installation - O&O EMC-Plug-in

O&O Defrag | O&O Defrag

O&O EMC-Plug-in

After you have created a site you can add the computers. Below the site icon the Management folder will be displayed.

Figure 42 Management Folder of a Site

Important: Add the plug-in to the Management folder, not to the computer!

Add the site plug-in of O&O Defrag to the Management folder. Click with the right mouse button on the folder to invoke the Context menu. Select Add plug-in. The following dialog appears:

Figure 43 Adding the Site-Plug-in

After the adding the site plug-in will be shown in the Management folder.

Figure 44 Site-Plug-in the Management Folder


Management Console of O&O Defrag (Server Edition) - Installation - O&O Defrag Agent

O&O Defrag | O&O Defrag

O&O Defrag Agent

During connection an automatic detection of the Defrag Agent takes place. If the required Agent is not installed yet, installation on corresponding machines is offered.

Figure 45 Install O&O ComponentInstaller on Remote Computers

If O&O Defrag Professional has already been installed on the computer, the existing agent will be used automatically, another installation is not necessary. Otherwise installation of the agent will be offered.


Management Console of O&O Defrag (Server Edition) - SiteControl - Activation

O&O Defrag | O&O Defrag

Activation

To invoke an installed plug-in, click or double-click on the plus icon next to the computer. After the plug-in list has been expanded you can invoke a plug-in by clicking on it.

Figure 46 O&O Defrag Site-Plug-in is Activated


Deinstallation

O&O EMC-Plug-in

O&O Defrag Agent


Management Console of O&O Defrag (Server Edition) - Deinstallation - O&O EMC-Plug-in

O&O Defrag | O&O Defrag

O&O EMC-Plug-in

Click on the plug-in (computer or site) with the right mouse button and choose the command Remove from the context menu. The ComputerControl can also uninstall the Agent automatically, see O&O Defrag agent.

Figure 47 Uninstalling O&O Defrag Plug-in


Management Console of O&O Defrag (Server Edition) - Deinstallation - O&O Defrag Agent

O&O Defrag | O&O Defrag

O&O Defrag Agent

By removing the ComputerControl you are asked if you want to remove the Agent from the target machine.

Figure 48 Uninstalling O&O Defrag Agent

By removing the SiteControl this option is not provided, only the plug-in under the site can be removed, the agents remain on the remote machines. To uninstall the Agent, please proceed as described in the chapter Connection Dialog.


Managing Sites with O&O Defrag

With O&O Defrag, you can manage and administer whole groups of computers. You can create jobs that will be transferred to all machines of a site, so that you have to enter the data only once. The complete functionality of O&O EMC is used, e.g. to achieve hierarchical job heritage (sub-sites "inherit" jobs from superior sites).

O&O Defrag-SiteControl offers management of computer groups in your network. The following chapters describe the user interface and the deployment possibilities of O&O Defrag in your network.


O&O Defrag SiteControl

The main view of O&O Defrag SiteControl consists of menus, a toolbar, a status bar and two switchable views: Computer View and Job View.

Figure 49 SiteControl – Main View

Related topics

Computer View

Job View

Toolbar

Adding a Site-Job

Changing Job Settings

Removing a Job

Filter Dialog

Connection Dialog

Synchronizing Jobs

Computer List


Computer View

The Computer View shows all machines of a site as well as the sub-sites. If you connect to the machines you can fetch status information (volume number, free disk space, fragmentation degree) on every computer that already has been analyzed or defragmented.

Use the Computer-/Job View button to switch to the Job View.


Using O&O Defrag in a Network (Server Edition) - O&O Defrag SiteControl - Job View

O&O Defrag | O&O Defrag

Job View

The Job View displays all scheduled jobs and their properties under the site that is selected. It is divided into ten columns. Through the context menu you can decide which columns and in which order should be shown or hidden.

In the Job View you can obtain information on:

  • Job/Task ID, which consists of the appointing user and a name
  • Start Date assigned to this job (i.e. next Mon, Thu…; next 1, 7, 28, 31…)
  • Start Time
  • Stop Time, which does not have to be defined implicitly
  • Parallel defragmentation of all volumes (can be on or off)
  • Status of the ActivityGuard (yes means that the Guard is activated, and thus only max. 50% of the CPU resources are being used during the defragmentation)
  • Priority of this job
  • Destination, i.e. the target machine in the network, where this job has to be executed
  • Number (#) of computers (left figure shows the number of computers on which the job is found, right figure displays the total number of computers in the selected site)

The icons of jobs that haven't been synchronized yet are grayed.


Using O&O Defrag in a Network (Server Edition) - O&O Defrag SiteControl - Toolbar

O&O Defrag | O&O Defrag

Toolbar

The toolbar is displayed across the top of the application window, next to the menus. It provides shortcuts to often used commands. Each button has two states: enabled, i.e. you may execute the command, or disabled, i.e. the command is currently not available.

Click | … to invoke the following action:
 | Create a new defragmentation job.
 | Change the settings of the selected job on all computers in the site.
 | Remove the selected job(s) from all computers in the site.
 | Refresh the job view
 | Cancel current process
 | Synchronize selected jobs on all computers in the site
 | View the status of the computers from the last connection.


Adding a Site-Job

To add a defragmentation job, you have to invoke the Add command from the context menu or toolbar. The dialog shown below will be displayed:

Figure 50 Job Properties

Here you can choose the parameters of the job. When you have finished, please click the 'OK' button. The newly added job will be displayed in the Job View.

Note: The created jobs are only shown in the Job View and not activated until you synchronize them. Only then will they be sent to the computers.

Related topics

Job Parameters


Job Parameters

The following parameters can be applied to a job:

Time

The time of the job can be entered in hours and minutes. Please consider that it has to be entered in 24-hour mode. You can either enter the time directly by clicking on the field and using the keyboard or via the dropdown menu.

Recurrence Pattern

Here you can define the methodology of this job. You can choose only one of the four possibilities. If you choose the 3rd or 4th entry, further settings become available.

Today: This job will be executed today at the defined time.

Tomorrow: This job will be executed tomorrow at the defined time.

Next: This job will run only at the dates selected on the right. Weekdays are displayed by default. With the Week/Day button you can open a field with dates from 1 to 31. You can select only days of this week or this month.

Every: The job will run on the selected days every week or every month till the year 2099.

Week/Day:

You can either select the days of the week (Monday, Tuesday, Wednesday, Thursday, Friday, Saturday, Sunday) or the days of the month (1-31). Multiple selections are allowed. To select a continuous series of days, please select the first day by clicking on it. Then move to the last day and click on it while holding the Shift key down.

Volumes/Defragmentation Pattern

Select volumes to be defragmented and the defragmentation method to be used. You can choose between SPACE, STEALTH, COMPLETE/Name, COMPLETE/Date, and COMPLETE/Access.

Advanced

More than one O&O Defrag job can run on the same computer at the same time. With the following options you can specify how the Job should be run relative to the system on which it is running and relative to other jobs.

Figure 51 Advanced Settings of a Site Job

Job Name – In this field you can give names to your jobs. The name of the appointing user appears by default.

Parallel Defrag – When set, the job will run parallel on all volumes to which it was set to run.

Use ActivityGuard – Setting this option will reduce the demands posed by this job on the CPU, if the usage of the CPU by other programs exceeds a certain level.

Job overrules others – When set, the job will have priority over other jobs running on the same volume. Consequently, other O&O Defrag jobs running on this volume will be stopped.

Use chkdsk – Choosing this option will cause the job to check volumes before defragmentation. In case errors are found, the volume will be skipped and the program will proceed with the defragmentation of other volumes.

Append job – With the Append job option you can append a job to another. When the first job stops running, the appended job will be run regardless of its job time. To select a job to append, please click on the arrow at the right side of the Append Job field and select the job you want to append.

Computer List

The computer list shows the machines for which the job is defined as well as the last run time and the total number of runs.


Using O&O Defrag in a Network (Server Edition) - O&O Defrag SiteControl - Changing Job Settings

O&O Defrag | O&O Defrag

Changing Job Settings

To change settings of a job select the job and choose Properties from the context menu or press the corresponding toolbar button. The button will only appear when the job is selected. Change the parameters as described in the Adding a Job section and click the OK button to confirm the new settings. Clicking the Cancel button will discard your changes and leave the old parameters unchanged.

Note: The changed jobs are only displayed in the Job View and will not be changed on the target computers until you have synchronized the site.


Using O&O Defrag in a Network (Server Edition) - O&O Defrag SiteControl - Removing a Job

O&O Defrag | O&O Defrag

Removing a Job

To remove a job, please select the job and choose Delete from the context menu or press the toolbar button. The button will only appear when the job is selected. .

Note: The deleted jobs are only displayed in the Job View and will not be deleted on the target computers until you have synchronized the site. The removal of a defragmentation job cannot be undone.


Filter Dialog

You can choose which jobs should be displayed in the Job View. By pressing the toolbar button you invoke the Filter Dialog.

There you can choose between jobs that were scheduled via SiteControl or ComputerControl or both. Likewise you can decide whether the jobs that were scheduled by you, by others or all jobs should be shown. Own site jobs are set by default. You can disable the filter by pressing the corresponding toolbar button.


Connection Dialog

Clicking on the toolbar button opens the server connection dialog. It shows the last command sent to the machines in the site and its state of execution.

Display
  • List of computers
  • Computer status (Connection status, currently executed command,...)
  • Version of the agent (if available)
  • Version compatibility - if the agent is outdated, an "update required" will be displayed.
Functionality
  • Installation of the agents on the target machines / all machines (click on Advanced)
  • Uninstall the agent from all machines (click on Advanced)
  • Setting of the connection time-out for the current site. This is the time a connect will be retried if the computers are not available.


Synchronizing Jobs

All changes you apply to jobs (create new, change existing, removing) are being applied LOCALLY at first, i.e. if you remove a job, the job is displayed as deleted from the list, but the removal process was not yet transmitted to the Agent.

To synchronize jobs, i.e. to transfer the local changes to each computer of the site, please click the 'Synchronize' button.


Computer List

Double-click on job, select the tab Computer list. It contains a list of all machines that hold this job.


Displaying Site Jobs

Creating Filters

Which Job Runs on Which Machine?


Creating Filters

By default, only site jobs are displayed, following settings are possible:

  • only site-jobs
  • site + computer-jobs
  • own jobs
  • own + external jobs


Which Job Runs on Which Machine?

Double-click on job, select the tab Computer list. Contains a list of all machines that hold this job.


Index

Main Menu (Action Menu)
  • Defragmentation > Analyze Volume(s)
  • Defragmentation > Check Disk
  • Defragmentation > STEALTH
  • Defragmentation > SPACE
  • Defragmentation > COMPLETE/Access
  • Defragmentation > COMPLETE/Date
  • Defragmentation > COMPLETE/Name
  • Defragmentation > Pause
  • Defragmentation > Stop
  • Job/Task > Add > Job...
  • Job/Task > Add > Task...
  • Job/Task > Duplicate
  • Job/Task > Change
  • Job/Task > Remove
  • Toggle Cluster/Job View
  • ClusterInspector...
  • Volume Information...
  • Settings...
  • About O&O Defrag...
Context Menu Cluster View
  • Analyze Volume(s)
  • Check Disk
  • STEALTH
  • SPACE
  • COMPLETE/Access
  • COMPLETE/Date
  • COMPLETE/Name
  • Pause
  • Stop
  • Volume Information...
  • 3D Style
  • Faded
  • Block Size
  • Job View
  • Refresh Display
Context Menu Job View
  • Add > Job...
  • Add > Task...
  • Duplicate
  • Remove
  • Change
  • Execute Task
  • Change Columns
  • Cluster View


Main Menu (Action Menu)

Defragmentation > Analyze Volume(s)

Defragmentation > Check Disk

Defragmentation > STEALTH

Defragmentation > SPACE

Defragmentation > COMPLETE/Access

Defragmentation > COMPLETE/Date

Defragmentation > COMPLETE/Name

Defragmentation > Pause

Defragmentation > Stop

Job/Task > Add > Job...

Job/Task > Add > Task...

Job/Task > Duplicate

Job/Task > Change

Job/Task > Remove

Toggle Cluster/Job View

ClusterInspector...

Volume Information...

Settings...

About O&O Defrag...


Defragmentation > Analyze Volume(s)

Use this command to start the analysis process for the currently selected volume(s).

Shortcuts:

Keyboard:F6

Toolbar:


Defragmentation > Check Disk

Use this command to check the currently selected volume(s) for errors.

Shortcuts:

Keyboard:F7

Toolbar:


Defragmentation > STEALTH

Use this command to start the defragmentation process using STEALTH defragmentation for the selected volume(s).

Note: If you use the toolbar button to start defragmentation, you must choose the method in the displayed dialog.

Shortcuts:

Keyboard:F8

Toolbar:


Defragmentation > SPACE

Use this command to start the defragmentation process using SPACE defragmentation for the selected volume(s).

Note: If you use the toolbar button to start defragmentation, you must choose the method in the displayed dialog.

Shortcuts:

Keyboard:F9

Toolbar:


Defragmentation > COMPLETE/Access

Use this command to start the defragmentation process using COMPLETE/Access defragmentation for the selected volume(s).

Note: If you use the toolbar button to start defragmentation, you must choose the method in the displayed dialog.

Shortcuts:

Keyboard:F10

Toolbar:


Defragmentation > COMPLETE/Date

Use this command to start the defragmentation process using COMPLETE/Date defragmentation for the selected volume(s).

Note: If you use the toolbar button to start defragmentation, you must choose the method in the displayed dialog.

Shortcuts:

Keyboard:F11

Toolbar:


Defragmentation > COMPLETE/Name

Use this command to start the defragmentation process using COMPLETE/Name defragmentation for the selected volume(s).

Note: If you use the toolbar button to start defragmentation, you must choose the method in the displayed dialog.

Shortcuts:

Keyboard:F12

Toolbar:


Defragmentation > Pause

Use this command to pause the running process. If the process has already been halted, choosing the Pause command will resume the action.

Shortcuts:

Keyboard:Break

Toolbar:


Defragmentation > Stop

Use this command to stop the running process.

Shortcuts:

Keyboard:Ctrl+Break

Toolbar:


Job/Task > Add > Job...

Use this command to open a dialog where you can edit one or multiple jobs. After the confirmation (OK button) the job will be added to the Job List.

Shortcuts:

Toolbar:


Job/Task > Add > Task...

Use this command to open a dialog where you can edit one or multiple tasks. After the confirmation (OK button) the task will be added to the list.

Use this command to create a new defragmentation task.

Shortcuts:

Toolbar:


Job/Task > Duplicate

Use this command to copy all selected jobs and tasks and paste them into the list. The corresponding extended IDs will be marked by ‚copy of …'

Shortcuts:

Keyboard:Ctrl+D


Job/Task > Change

Use this command to open a dialog where you can edit one or multiple jobs. After the confirmation (OK button) the changes will be applied to all selected jobs.

Shortcuts:

Toolbar:


Job/Task > Remove

Use this command to remove all selected jobs and tasks from the list.

Shortcuts:

Keyboard:Del

Toolbar:


Toggle Cluster/Job View

Use this command to switch between the job editing interface and the block view of the volumes.

Shortcuts:

Toolbar:


ClusterInspector...

Opens a dialog where you can obtain information about the files of a selected cluster series.


Command Index - Main Menu (Action Menu) - Volume Information...

O&O Defrag | O&O Defrag

Volume Information...

Use this command to display information about the selected volume(s). If you select more than one volume, there will be one dialog displayed for each volume.

Shortcuts:

Toolbar:


Settings...

Use this command to open the general settings dialog (independent of volume).

Shortcuts:

Toolbar:


About O&O Defrag...

Opens a dialog containing information on the version number of the user interface and Agent. Additionally license data and copyright hint are displayed.


Context Menu Cluster View

The Context menu Cluster View can be displayed for all volumes. By clicking with the right mouse button next to the Cluster View. If you want to change Settings only for one volume, then click with the right mouse button on the corresponding Cluster View. Please consider that the global settings overwrite all local settings.

Related topics

Analyze Volume(s)

Check Disk

STEALTH

SPACE

COMPLETE/Access

COMPLETE/Date

COMPLETE/Name

Pause

Stop

Volume Information...

3D Style

Faded

Block Size

Job View

Refresh Display


Analyze Volume(s)

Use this command to start the analysis process for the currently selected volume(s).

Shortcuts:

Keyboard:F6

Toolbar:


Check Disk

Use this command to check the currently selected volume(s) for errors.

Shortcuts:

Keyboard:F7

Toolbar:


Command Index - Context Menu Cluster View - STEALTH

O&O Defrag | O&O Defrag

STEALTH

Use this command to start the defragmentation process using STEALTH defragmentation for the selected volume(s).

Note: If you use the toolbar button to start defragmentation, you must choose the method in the displayed dialog.

Shortcuts:

Keyboard:F8

Toolbar:


Command Index - Context Menu Cluster View - SPACE

O&O Defrag | O&O Defrag

SPACE

Use this command to start the defragmentation process using SPACE defragmentation for the selected volume(s).

Note: If you use the toolbar button to start defragmentation, you must choose the method in the displayed dialog.

Shortcuts:

Keyboard:F9

Toolbar:


Command Index - Context Menu Cluster View - COMPLETE/Access

O&O Defrag | O&O Defrag

COMPLETE/Access

Use this command to start the defragmentation process using COMPLETE/Access defragmentation for the selected volume(s).

Note: If you use the toolbar button to start defragmentation, you must choose the method in the displayed dialog.

Shortcuts:

Keyboard:F10

Toolbar:


Command Index - Context Menu Cluster View - COMPLETE/Date

O&O Defrag | O&O Defrag

COMPLETE/Date

Use this command to start the defragmentation process using COMPLETE/Date defragmentation for the selected volume(s).

Note: If you use the toolbar button to start defragmentation, you must choose the method in the displayed dialog.

Shortcuts:

Keyboard:F11

Toolbar:


Command Index - Context Menu Cluster View - COMPLETE/Name

O&O Defrag | O&O Defrag

COMPLETE/Name

Use this command to start the defragmentation process using COMPLETE/Name defragmentation for the selected volume(s).

Note: If you use the toolbar button to start defragmentation, you must choose the method in the displayed dialog.

Shortcuts:

Keyboard:F12

Toolbar:


Pause

Use this command to pause the running process. If the process has already been halted, choosing the Pause command will resume the action.

Shortcuts:

Keyboard:Break

Toolbar:


Stop

Use this command to stop the running process.

Shortcuts:

Keyboard:Ctrl+Break

Toolbar:


Command Index - Context Menu Cluster View - Volume Information...

O&O Defrag | O&O Defrag

Volume Information...

Use this command to display information about the selected volume(s). If you select more than one volume, there will be one dialog displayed for each volume.

Shortcuts:

Toolbar:


3D Style

The clusters can be displayed in three-dimensional view. You can switch it with a menu entry.


Command Index - Context Menu Cluster View - Faded

O&O Defrag | O&O Defrag

Faded

When the Faded mode is activated, the color of the blocks will fade from light to dark the more they are occupied. The Faded mode offers you a visual feedback of your partition.


Command Index - Context Menu Cluster View - Block Size

O&O Defrag | O&O Defrag

Block Size

You can select the size of the blocks that are used to display the cluster map that ranges between 6 and 18 pixels. The smaller the Block Size, the more blocks can be displayed.


Command Index - Context Menu Cluster View - Job View

O&O Defrag | O&O Defrag

Job View

Switches to the Job View.

Shortcuts:

Toolbar:


Refresh Display

Refreshes the Cluster View by fetching new data from the Agent.


Context Menu Job View

Click with the right mouse button on the Job View to invoke the Context menu Job View. If you want to change or remove a particular job or task, use the right mouse button when the job or task is selected.

Related topics

Add > Job…

Add > Task…

Duplicate

Change

Remove

Execute Task

Change Columns

Cluster View


Add > Job…

Use this command to open a dialog where you can edit one or multiple jobs. After the confirmation (OK button) the job will be added to the Job List.

Shortcuts:

Toolbar:


Add > Task…

Use this command to open a dialog where you can edit one or multiple tasks. After the confirmation (OK button) the task will be added to the list.

Use this command to create a new defragmentation task.

Shortcuts:

Toolbar:


Duplicate

Use this command to copy all selected jobs and tasks and paste them into the list. The corresponding extended IDs will be marked by ‚copy of …'

Shortcuts:

Keyboard:Ctrl+D


Change

Use this command to open a dialog where you can edit one or multiple jobs. After the confirmation (OK button) the changes will be applied to all selected jobs.

Shortcuts:

Toolbar:


Remove

Use this command to remove all selected jobs and tasks from the list.

Shortcuts:

Keyboard:Del

Toolbar:


Execute Task

Launches selected task.


Change Columns

Opens a dialog where you can adjust the columns of the Job View. You can add or remove columns as well as change their order. Click OK to confirm the changes.

Figure 52 Change Columns of the Job View


Command Index - Context Menu Job View - Cluster View

O&O Defrag | O&O Defrag

Cluster View

Switches to the Cluster View of volumes.

Shortcuts:

Toolbar:


Additional Tools in the O&O EMC (Server Edition) - Overview

O&O Defrag | O&O Defrag

Overview

O&O Enterprise Management Console (O&O EMC) is based on two standards: the Microsoft Management Console, the future tool for administration of computers, as well as COM/DCOM, which unifies network communication in Windows-networks. This guarantees compatibility to future developments and protects your investments.

Technically spoken, the O&O EMC extends the view of the Microsoft Management Console from a single computer to the whole network. Neither the implemented NT domain model nor the network protocol is important. Of course, the O&O EMC preserves all security features of Windows NT 4 and Windows 2000.

The most important components of the O&O EMC are so-called "plug-ins". Plug-ins are extensions like Microsoft Internet Information Server or SQL-Server. They offer certain functionality within the O&O EMC to the user, e.g. anti-virus software or a network defragmentation like O&O Defrag. These plug-ins can remotely be installed, configured, or even removed at any time. The O&O EMC already has some built-in plug-ins:

  • O&O ComponentInstaller - allows remote installation of plug-ins over the network. You don't have to act locally.
  • O&O EventViewer - displays all logged events on a remote machine. Filters can be applied to select certain types of events.
  • O&O RemoteConsole - starts an MS-DOS prompt for any machine on your network. You can use all known DOS commands, as if you were locally working at the machine.
  • O&O SoftwareInventory - shows all installed applications on all systems. This way you can check easily which programs are running on which machine of your network.


O&O ComponentInstaller

O&O ComponentInstaller is responsible for installation and uninstall processes of O&O EMC plug-in agents on target machines When a particular machine is to be administrated using an O&O EMC plug-in and the plug-in agent is not installed on this machine, O&O ComponentInstaller is executed automatically with the task to install the plug-in agent on the target machine.

The O&O ComponentInstaller Agent is being installed as a service on the target machine. This service is only activated on demand and deactivated automatically.

The O&O ComponentInstaller Agent works independently from the logged-on user. It is irrelevant whether a user is logged on at the time of installation or which rights the logged-on user has concerning the target machine.

Installations will be executed in the background, i.e. without knowledge or noticing of the logged-on user. During an installation a compressed installation packet, containing all required data and information, is being transferred over the network to the remote ComponentInstaller Agent. The Agent extracts the contents of the packet and subsequently launches the installation in the background; neither is the work of a logged-on user affected nor some manual influence required or possible.

All plug-ins of O&O EMC support an installation on demand, i.e. as soon as a plug-in detects that the appropriate Agent is not installed on the target machine, automatic installation is being offered.

Related topics

Activating O&O ComponentInstaller

Using O&O ComponentInstaller

Automatic Installation of a Plug-in Agent

Automatic Removal of a Plug-in Agent

Known Limitations


Activating O&O ComponentInstaller

You can invoke O&O ComponentInstaller over the Computer context menu. This way you can install, uninstall and configure the O&O ComponentInstaller Agent on a single computer.

Figure 53 Context Menu of a Computer

Usually manual installation is not necessary since the O&O ComponentInstaller Agent can be installed automatically.


Using O&O ComponentInstaller

ComponentInstaller Agent Properties


ComponentInstaller Agent Properties

The O&O ComponentInstaller Agent Properties dialog contains two tabs:

General

Figure 54 General Settings of the ComponentInstaller Agent

In the General tab, you can view the following information:

  • Version of the remote agent
  • Name and Operating System of the target machine
  • Logging level of the remote agent

Every executed action will be registered by the ComponentInstaller Agent in the Event log as well as in its own protocol files.

There are five values available, which set the amount of information provided:

0 | Off | No protocol
1 | Critical Errors | Protocol of critical errors
2 | Errors | Protocol of critical errors
3 | Warnings | Additional protocol of all warnings
4 | Informational | Protocol of every obtainable information

(3) is usually reasonable and therefore set by default. The logging file oocinst.log is created in the SYSTEM32-Windows directory of the target computer. The complete file path is:

<Windows Root>\system32\oocinst\oocinst.log

Installation-Tab

Figure 55 Properties of the O&O ComponentInstaller Agent

In the Installation tab, you can execute the following actions:

  • Install O&O ComponentInstaller on a target machine
  • Uninstall O&O ComponentInstaller from a target machine
  • Update O&O ComponentInstaller (button is only available when a newer version is actually installed on your machine)


Automatic Installation of a Plug-in Agent

As soon as you try to install a plug-in on a computer, and the corresponding agent is not yet installed on the machine, you will be prompted to install the agent. The same is valid for uninstalling.

In case the O&O ComponentInstaller agent is not found on the target machine, you will be asked if you want to install it on the target machine. Otherwise, installation will be impossible.

During the installation process, the following dialog will be displayed:

Figure 56 Installation Dialog

Close this dialog box when installation succeeds closes the dialog automatically when enabled as soon as the installation has been completed successfully.

Cancel quits the current installation process.


Automatic Removal of a Plug-in Agent

As soon as you remove a plug-in from a computer within O&O EMC, you will get the possibility by a security request to uninstall the belonging agent from the target machine. There are three choices for the further process:

Yes launches the uninstall of the agent on the target machine

No lets the agent remain on the target machine, the plug-in will be removed.

Cancel aborts the whole uninstall process, i.e. no uninstall takes place, the plug-in also remains in the O&O EMC.

If you have chosen to uninstall the agent, the according dialog appears and the uninstall process on the target machine will be executed.

Close the dialog after the completion through the Close button.

Through the Cancel button you can abort the uninstall process at any time.


Additional Tools in the O&O EMC (Server Edition) - O&O ComponentInstaller - Known Limitations

O&O Defrag | O&O Defrag

Known Limitations

  • The target machine must be running
  • The target machine must be connected to the network
  • The user must be a member of the local Administrator group.


O&O EventViewer

Windows NT/2000/XP features the EventViewer. It provides you with a convenient user interface to display events generated and logged by different applications. You can use the EventViewer on the remote computer or over the network.

O&O EventViewer was programmed to function exactly like the EventViewer shipped with Windows NT/2000/XP. Therefore the O&O EventViewer agent browses the registry to get the information and may also filter the event log entries considering properties set by the user.

Related topics

Activating O&O EventViewer

Using O&O EventViewer

Known Limitations

Removing O&O EventViewer from a Remote Machine


Activating O&O EventViewer

As O&O EventViewer is a built-in plug-in, you can invoke it as described in the section Using Plug-ins.


Using O&O EventViewer

Once you have started O&O EventViewer by clicking on its icon, you will see a list of the application log entries on the remote computer in a list view. It is possible that the list view does not appear instantly and a message box with the title O&O ComponentInstaller pops up. In this case the O&O EventViewer agent is not installed or it is not compatible to the current version of the plug-in.

Figure 57 O&O EventViewer

At startup O&O EventViewer displays the application log by default. There are three possible ways to change the log by choosing one of Application, System and Security log:

  • By using the submenu of the menu item "Log" of the context menu of the plug-in or of a list entry,
  • By using the submenu of the menu item "Log" of the action menu,
  • By using the toolbar (left-to-right order: Application, System, Security)

    Application: Includes events logged by common applications.

    System: Includes events logged by the system and its services like DCOM.

    Security: Includes security events like logon and logoff events.

Both the Application and System log have three types of events:

: Informational

: Warning

: Error

The Security log consists of two types:

: Success Audit

: Failure Audit

The event list consists of the following columns:

Date: The date when the log entry was added.

Time: The time when the log entry was added.

Source: The application, which added the entry.

Category: The category that belongs to the event entry.

Event: The event id of the entry.

User: The user who started the application.

Computer: The computer that owns the event entry.

By double-clicking on a list entry, a dialog pops up that contains the complete information about the event entry.

The right side of the toolbar ( [image]) offers (enumerated from the left): Show All Events, Show Filtered Events… and Refresh. These functions are also implemented in the context menu of the plug-in and of the list entries:

  • Show All Events: Causes O&O EventViewer to display all entries of the current event log.
  • Show Filtered Events…: Causes O&O EventViewer to display the filter dialog, which is described later in this chapter.
  • Refresh: Refreshes the view considering current settings.
Filter Dialog

To filter the events of the current event log check one or more of Filter Event Type, Filter Event ID, or Filter Source. Once you have checked one of these checkboxes, the specific dialog items are enabled. Insert the one that should match the entries. The entries that match the filters will appear when you click OK.

Figure 58 Filter Dialog


Additional Tools in the O&O EMC (Server Edition) - O&O EventViewer - Known Limitations

O&O Defrag | O&O Defrag

Known Limitations

Since all events on the remote machine and their corresponding message files must be loaded into memory, the response time might be slow from time to time. Especially for machines with a large number of events logged this will be true.


Removing O&O EventViewer from a Remote Machine

A message box named "O&O ComponentInstaller" pops up when deleting the plug-in from the console tree asking to uninstall the agent. For more information about deleting a plug-in see the Removing Plug-ins from Remote Computers chapter.


O&O RemoteConsole

Via O&O RemoteConsole, you can administer remote computers with a DOS-like command interface. Nearly all commands known from the DOS-prompt are available, and some additional commands help you to manage processes on the remote machine. You do not need to be on-site and therefore can help your users easily from your own desk.

O&O RemoteConsole is designed to be used exactly like the well-known DOS-prompt. The main difference is that your commands are not locally executed, but forwarded to the remote computer you have selected in the Console Tree. The OORCON.EXE agent will execute your command and return the results. If you enter chkdsk, the disk of the remote computer will be checked and all output will be shown on your computer. In addition there are the commands ps and kill, which will be explained later.

Related topics

Activating O&O RemoteConsole

Using O&O RemoteConsole

Process Management Commands

Known Limitations

Removing O&O RemoteConsole From a Remote Machine


Activating O&O RemoteConsole

As O&O RemoteConsole is a built-in plug-in, you can invoke it as described in the section Using Plug-ins. While RemoteConsole is activated, the context menu of the edit field offers the menu entry Disconnect. This function terminates the connection between the Client (O&O EMC) and the agent (OORCON.EXE).

To regain access to the remote computer, use the context menu item Connect. The connection will be established and you can continue using O&O RemoteConsole.

You don't have to use these menu items at first activation and when you quit the MMC.


Using O&O RemoteConsole

Once you have started O&O RemoteConsole by clicking on its icon, you will see a startup screen known from the Command Prompt. It is possible that the screen does not appear instantly and a message box with the title "O&O ComponentInstaller" pops up. In this case the O&O RemoteConsole agent is not installed or it is not compatible to the current version of the plug-in.

Figure 59 O&O RemoteConsole

Primarily, you can use O&O RemoteConsole like you are using the well known Command Prompt or DOS.

You are able to select some or all of the text of the edit field and copy it in combination with its context menu.

You don't have to move the cursor to the end of the text every time you want to write. This is done automatically. You cannot insert text.


Process Management Commands

Returns the process list of the remote computer. Lists the name and the PID (Process ID) of each process.

Related topics

ps

kill

oorconver


ps

Syntax
 ps
Parameters
 None


kill

Terminates a process on the remote computer.

Syntax
 kill <pid>
Parameters
<pid> Process ID displayed in the process list.


oorconver

Shows the current version of the RemoteConsole.

Syntax
 oorconver
Parameters
 None


Additional Tools in the O&O EMC (Server Edition) - O&O RemoteConsole - Known Limitations

O&O Defrag | O&O Defrag

Known Limitations

Not Supported Commands

You can use every command you can use within the DOS-prompt. However, there are some commands that were disabled to avoid problems with O&O EMC environment:

  • exit
  • cmd or cmd.exe
  • command
  • loadfix
  • edit
  • graphics
  • title
  • color
  • prompt
  • start
  • commands that are not text only

O&O RemoteConsole can display every output consisting of ASCII characters. A graphical interface is not supported.

Return Required

The user input is forwarded after a return was entered. There are some programs/commands, which react after pressing a button. This feature is not supported. In case only a single character is demanded, additionally press Enter.

Not Supported Parameters

Some parameters, which cause the user interface to pause when the screen is filled with text, are not supported.


Removing O&O RemoteConsole From a Remote Machine

A message box named "O&O ComponentInstaller" pops up when you delete the plug-in from the console tree, asking whether to uninstall the agent. For more information about deleting a plug-in see the Removing Plug-ins from Remote Computers chapter.


O&O SoftwareInventory

O&O SoftwareInventory offers the possibility to manage the software installed on the remote computer. It provides you with a comfortable overview of the installed software packages and allows removing the software - without displaying confirmation dialogs – over the network.

O&O SoftwareInventory establishes communication with the O&O SoftwareInventory Agent on the target machine. The agent activates on demand, thus saving system resources. The agent browses the registry to get needed information about the installed software packages and posts them in the list view. The software packages are uninstalled on request.

Related topics

Activating O&O SoftwareInventory

Using O&O SoftwareInventory

Removing Software From a Remote Machine

Known Limitations

Removing O&O SoftwareInventory From a Remote Machine


Activating O&O SoftwareInventory

As O&O SoftwareInventory is a built-in plug-in, you can invoke it as described in the section Using Plug-ins.


Using O&O SoftwareInventory

Once you have started O&O SoftwareInventory by clicking on its icon, you will see a list of software packages installed on the remote computer.

It is possible that the list view does not appear instantly and a message box with the title "O&O ComponentInstaller" pops up. In this case the O&O SoftwareInventory Agent is not installed or it is not compatible to the current version of the plug-in.

Figure 60 O&O SoftwareInventory

You can refresh the list by using the toolbar icon or by opening the "Action" menu or context menu and choosing the command "Refresh".

On the left side of the list certain items (software packages) can be marked by a trash icon. In this case you can uninstall that package.


Removing Software From a Remote Machine

There are three possible ways to uninstall a software package. After having selected a software package in the list view you may

  • Double-click on the list item,
  • Select Uninstall from the context menu of the item,
  • Click on the trash icon of the toolbar.

Afterwards you have to confirm the task in a message box.

When the uninstall routine has finished the list is refreshed automatically.


Additional Tools in the O&O EMC (Server Edition) - O&O SoftwareInventory - Known Limitations

O&O Defrag | O&O Defrag

Known Limitations

Some software packages cannot be uninstalled, because they do not support silent uninstall.


Removing O&O SoftwareInventory From a Remote Machine

A message box named "O&O ComponentInstaller" pops up while you delete the plug-in from the console tree, asking whether to uninstall the agent. For more information about deleting a plug-in see the Removing Plug-ins from Remote Computers chapter.


Program Structure of the Professional Edition

Directories
$INSTALLDIR | Installation directory
$OO-COMMON | Shared directory, e.g. C:\Program Files\Common Files\OO Software\Defrag
$HELPDIR | Help directory, e.g. C:\WINDOWS\HELP
$SYSTEM32 | System32-directory
GUI/MMC
OODPEP.DLL | MMC Snap In ($OO-COMMON)
OODPEO.OCX | Control for the OCX ($OO-COMMON)
OODGUIRS.DLL | Contains display elements (resources) ($OO-COMMON)
OODPERWR.DLL | Display elements for the RegWizard ($INSTALLDIR)
OODCSPRO.DLL | Allows communication with the Agent via DCOM ($SYSTEM32)
OODEFRAG.CHM | Online-help ($HELPDIR)
OORWIZ.DLL | RegWizard ($INSTALLDIR)
README.TXT | Text file, general hints ($INSTALLDIR)
OODCMD.EXE | CmdLine Tool ($OO-COMMON)
OODCMDRS.DLL | Resources for OODCMD.EXE ($OO-COMMON)
OODCNT.EXE | Defrag Container ($OO-COMMON)
OODCNTRS.DLL | Resources for OODCNT.EXE ($OO-COMMON)
OODPE.MSC | MSC-File ($INSTALLDIR)
Server
OODAG.EXE | Agent (Service "O&O Defrag")($SYSTEM32)
OODBS.EXE | Boot time defragmenter ($SYSTEM32)
OODAGMG.DLL | Agent Event log message DLL ($SYSTEM32)
OODAGRS.DLL | Contains Agent messages dependent on language ($SYSTEM32)
OODCSPRO.DLL | Allows communication with the GUI via DCOM ($SYSTEM32)
PDH.DLL | Performance data helper DLL; installed on Windows NT 4 only, if not available already. ($SYSTEM32)


Properties Depending on the Operating System

Supported File Systems

Limitations


Supported File Systems

O&O Defrag supports all file systems under Windows NT 4, Windows 2000 and Windows XP. However, there are some preconditions, which are required in order to run O&O Defrag along with these file systems. Each file system will be explained in the following sections.

FAT

The oldest file system is FAT, which is rooted in MS DOS. Windows NT 4, Windows 2000 and Windows XP support it natively. It is safe to use O&O Defrag on any FAT volume.

FAT32

FAT32 is the native file system of Windows 95b and Windows 98. It has some advantages over the classical FAT, but Windows NT 4 does not support it natively. Windows 2000 and Windows XP have a built-in support for FAT32 volumes, which is supported by O&O Defrag.

NTFS

The NT File System is the advanced file system for Windows NT. It enables you to set security restrictions on file level. It provides more stability in case of failures and faster file access. It is supported natively by Windows NT 4, Windows 2000 and Windows XP and can be accessed by O&O Defrag.

NTFS5

Windows 2000 is the successor of NTFS. Therefore, with Windows 2000, you can access NTFS5 volumes using the built-in file system support. However, if you want to access NTFS5 volumes from Windows NT 4, you must install Service Pack 4. It contains new drivers to provide compatibility for dual installations with Windows 2000.

NTFS5 has special file system features. Some of them already were implemented in NTFS. The following list shows features supported by O&O Defrag:

  • Reparse Points
  • Directories can be defragmented online with Windows 2000 and XP
  • Multiple Streams
Volume-, Stripe-, Mirror-Sets und Hardware-RAID

Volume, Stripe, and Mirror Sets are all fully supported by O&O Defrag. Also, if you are using hardware RAID systems, there will be no problem with O&O Defrag.

EFS (Windows 2000 und Windows XP only)

Windows 2000 introduced a new file system based on NTFS to ensure higher data security regarding misuse or unauthorized access. The Encrypted File System (EFS) makes data unreadable for users that are not authorized to view the file contents. O&O Defrag also supports EFS volumes and does not alter or affect file integrity and/or security.


Limitations

The following limitations apply to O&O Defrag. These limitations are set by Windows NT/2000/XP and cannot be worked around without threatening data integrity.

File system

O&O Defrag works only on FAT and NTFS volumes that are visible to Windows NT/2000/XP. File names with up to 255 characters are supported.

Cluster size

The cluster size on FAT volumes must be 4096 bytes or less. Volumes with larger cluster sizes cannot be defragmented. The cluster size cannot be altered after the volume has been formatted. However, there are third party tools that offer this possibility.

Note: This limitation does not apply to Windows XP, so that every volume can be used with every cluster size.

Volume size

All volume sizes supported by Windows NT/2000/XP can be defragmented.

The new version 4 of O&O Defrag was developed for servers with more than 1 terabyte of capacity. We want to refer especially to the new STEALTH technology.

Directories

You can defrag as many directories as exist on the volume. O&O Defrag has an optimized memory management to store all file and directory information. We want to refer especially to the new STEALTH technology.

Free disk space

Volumes that have no free space left cannot be defragmented. To get best results, allow at least 10 to 25 % of your volume for O&O Defrag to be used. Files larger than the maximum free disk space cannot be defragmented. By the means of the new STEALTH technology defragmentation is possible with noticeably less free disk space.


Data Security and Integrity

O&O Defrag guarantees complete data integrity and safety. Only functions implemented by Windows NT/2000/XP are used to defrag files. No other functions or workarounds are used for this.

File attributes are being preserved (date, time, system file, archive etc.) and the security for NTFS volumes will not be altered. Shares will also be preserved. In addition, only one file is being accessed at the same time. This ensures that during a power failure only one file can get lost. If you are still insecure if your data will really be safe or if you require further information, please do not hesitate to contact us.


Program Structure of the Server Edition

GUI/MMC
OODCOCP.DLL | ComputerControl MMC Snap In ($OO-COMMON)
OODCOCO.OCX | ComputerControl (OCX) ($OO-COMMON)
OODGUIRS.DLL | Contains display elements (resources) ($OO-COMMON)
OODNERWR.DLL | Display elements for the RegWizard ($INSTALLDIR)
OODCSPRO.DLL | Allows communication with the Agent via DCOM ($SYSTEM32)
OODEFRAG.CHM | Online-Help ($HELPDIR)
README.TXT | Text file, general hints ($INSTALLDIR)
OODNE.MSC | MSC-File ($INSTALLDIR)
Server
OODAG.EXE | Agent (Service "O&O Defrag")($SYSTEM32)
OODBS.EXE | Boot-time defragmenter ($SYSTEM32)
OODAGMG.DLL | Agent Event log message DLL ($SYSTEM32)
OODAGRS.DLL | Contains Agent messages dependent on language ($SYSTEM32)
OODCSPRO.DLL | Allows communication with the GUI via DCOM ($SYSTEM32)
PDH.DLL | Performance data helper DLL; installed on Windows NT 4 only, if not available already ($SYSTEM32)


Security

Access Requirements for Plug-ins and Their Agents

Plug-ins Security Settings

Enforcing Network Security

Security Settings of the Agent (DCOM)


Access Requirements for Plug-ins and Their Agents

The access requirements for the Administrator Workstation are equal to that set by O&O EMC. The user must be a member of the local Administrator group of the target machine.

For further information on security please refer to the Network Deployment chapter.


Plug-ins Security Settings

Before you can start using O&O EMC agents on a particular machine, it must be connected to a network in order to be accessible. In addition, administrative privileges are required to access a particular machine for administrative purposes. A target machine cannot be accessed with O&O EMC and its plug-ins if the administrating user is not granted appropriate rights on this machine. To obtain administrative privileges, the user must either be a local administrator on the target machine or a member of the Administrators group. Hence, in a domain-based networking environment, the administrating user must be a member of the domain administrator group in order to work on all member machines of a particular domain with O&O EMC plug-ins. In case of a multi-domain networking environment, a single-domain administrator can only access machines in "his" domain. In order to access machines being members of other domains, the user must be granted administrative privileges for each domain he wants to administrate machines from. Since on a domain member machine domain administrators can be excluded from the local administrative group, please ensure for such a case to be member of the local administrative group.

Note: O&O EMC has a new network organization model – the site. Member machines of these so-called Sites can be machines from different domains. Therefore, Sites do not correspond to conventional domains. Please ensure before using O&O EMC plug-ins on a site containing machines from multiple domains that you have sufficient rights (administrative privileges) for each machine.


Enforcing Network Security

When a machine is being administered using O&O EMC plug-ins, an icon, whose look depends on the plug-in being currently used, is displayed in the tray bar, thus indicating to the user currently logged on the target machine that someone else is accessing his machine. This can be helpful to recognize disallowed or malicious administrative access to machines. Since O&O EMC plug-ins provide raw power to the user, the tray bar icon cannot be disabled for security reasons.

You can choose whom to grant or deny access to a target machine for every plug-in individually, thus preventing abuse and misapplication. Please refer to the Security Settings of a Plug-in chapter for further information.


Security Settings of the Agent (DCOM)

O&O EMC and its plug-ins are based on COM and DCOM. Thus, O&O EMC and its plug-ins inherit all global COM/DCOM settings and security features when executed on a particular machine. Settings and security features include user access rights and privileges and DCOM connection security via encrypted object intercommunication. Thus, particular users can be locked out from accessing machines with DCOM-based software. In addition, O&O EMC and its plug-ins are independent of the underlying network communication protocol (e.g. TCP/IP). It will work with all network protocols DCOM offers support for.


Further Possibilities to Increase Performance

O&O Defrag

O&O CleverCache


O&O Defrag

  • By a new install, schedule a defragmentation afterwards. After a new install, the Windows system partition is heavily fragmented.
  • By default, the paging file of a Windows System has a min/max value. This setting causes a fragmentation of the paging file. Set a constant value for the size of your paging file. Main memory + 11Mbyte are recommended. You can obtain more information about the size of the paging file from the Windows Help.
  • The operating system reserves for the Master File Table (MFT) 12,5%
  • If you defrag your system for the first time it can take a lot of time. Plan the first defragmentation of particularly file servers for e.g. weekend.


O&O CleverCache

The new O&O CleverCache optimizes your file cache management under Windows NT and Windows 2000/XP. This results in an enormous performance boost and may double the original system speed - without any new hardware and without restricting your system's stability. Simply install O&O CleverCache and you are ready to go! Neither configuration nor rebooting is needed. Within 5 minutes you activate unused resources of your Windows NT/2000/XP system!

Related topics

How O&O CleverCache Works

How the File Cache Reduces Memory Resources

Get Even More Performance With Mem-O-Free

Best Data Safety with Mem-O-Safe

More Information in the Web


How O&O CleverCache Works

File caching usually improves the speed of accessing files. When they are read again, the system can retrieve them from the faster memory, instead of reading from the slower hard disk. Windows accesses your hard disk for reading and writing through its integrated File Cache Management. Unfortunately, Windows' file caching shows misbehavior when handling file operations. It allocates main memory for the file cache, which is no longer available for running applications. If applications request new memory, the system will be forced to swap out currently unused memory areas into the paging file, thus requiring read/write access to the hard disk. This paradox situation leads to a dramatic decrease in system performance, caused by the file caching, which slows down your machine instead of making it faster. Up to now, the user could neither control its behavior nor adjust it to its personal needs. O&O CleverCache solves this problem by taking control over the resource management for file caching and applications. It prevents heavy system loading and guarantees the availability of a certain amount of memory. Applications can now allocate memory without forcing Windows to swap. This leads to a performance increase and to lower response times, especially if you are running many applications at the same time and tend to switch between them quite often. Our tests have shown that Windows systems are able to run twice as fast when using O&O CleverCache - no matter if it is a Server or Workstation. The integration of O&O CleverCache in Windows will be done fully automatically. It runs as a system service in the background and guards the allocation of memory resources through its unique O&O AutoSense-technology. Every time your computer is booted, changes of the system's memory configuration are detected and will be immediately taken into consideration. There is no need for the user to configure O&O CleverCache. The administrator can use an applet within the Control Panel to adjust settings manually.

O&O CleverCache runs under Windows NT 4 and Windows 2000/XP. The workstation version is optimized for best performance of the active application. Optimum allocation of memory resources is the primary task of the server version to guarantee shortest possible response time of server applications.


How the File Cache Reduces Memory Resources

The more the file cache grows, the fewer memory is available to running applications. The result is a significant performance decrease, as requests for memory can lead to the so-called "swapping", i.e. currently unused memory areas are paged out to NT's paging file. The slow hard disk access is responsible for the loss of performance of Windows NT and Windows 2000/XP.

The shown figure gives an example of this phenomenon. The rows describe the course of the available memory with and without O&O CleverCache while loading a large file. As you can see, the usage of memory on the system without O&O CleverCache is significantly higher than on the system with O&O CleverCache. The level of the file cache is kept constant from a certain point of time, preserving memory resources for other applications and preventing the above-mentioned swapping.

The optimum level for the file cache is automatically determined by O&O CleverCache and adjusted according to the available memory. Hidden resources of your system will be activated without any need of user interaction.


Get Even More Performance With Mem-O-Free

In the new version of O&O CleverCache a new Mem-O-Free feature has been integrated. Mem-O-Free gives you control over the amount of available memory under Windows when the system is running. In case the amount of free memory falls below the user settings Mem-O-Free will be activated and free additional memory forcing Windows to swap not needed data to the hard disk. The result is more available memory for active applications, which leads to higher performance.


Best Data Safety with Mem-O-Safe

When you save data to the hard disk, it is not immediately written to disk, but buffered in the internal file cache. After a certain amount of time, this data is written to the disk – but Windows itself solely determines this time; the user has no chance to influence it. Windows considers system load and following writing operations as well as other parameters for the update interval, which is usually between 4 and 15 seconds. If during this period a system failure occurs, all data that has not been written to disk is lost. Critical data can be lost and may cause a re-installation of Windows in worst case. This situation often occurs due to a power failure; the system is accidentally turned off by the user, or a system crash ("Blue Screen of Sudden Death").

To avoid this problem, O&O CleverCache offers the first-ever possibility to manually configure this file cache update interval. The user can set the interval, in which data are flushed to the disk. Especially for file and database servers, which store mission-critical data, the interval should be set to a short period to minimize data loss in case of a failure. The configuration of the interval can be done through the Control Panel-applet of O&O CleverCache.


More Information in the Web

You can find more information about O&O CleverCache on our web site at
http://www.oo-software.com/products/ooccpro


Unscheduled Termination of O&O Defrag

Certain conditions can lead to a crash of O&O Defrag agent. In this case you can close Defrag Agent in many ways.

You can use the Windows Task Manager to close the O&O Defrag Service.

  • To open the Windows Task Manager click with the right mouse button on an empty place in and click on Task Manager. In the Processes tab, click on the process OODAG.EXE, that you want to close and the click Close.

Besides from the Windows Task Manager you can use the command NET STOP and use the Windows Service Administration to close O&O Defrag. You can obtain more information about NET STOP and Service Administration from the Windows Help.

If you have installed O&O Defrag Server including the network components, you can use the O&O RemoteConsole to terminate the O&O Defrag service on the remote machine.

  • Connect to the remote machine using the RemoteConsole. Use the ps-command to display the process list. Each process has a unique process ID (PID) include the O&O Defrag service. You can terminate the O&O Defrag service by executing the kill-command.
    kill <PID>


Using Logging

In spite of having activated the logging I cannot find the log file.

O&O Defrag logs according to the setting (level 2, 3 or 4) into the application protocol of the operating system (event log).

Invoking Event Viewer under Windows NT4:

  • Click Start, go to Programs, then click on Administrative Tools and finally on Event Viewer.

Invoking Event Viewer under Windows 2000:

  • Click Start, go to Settingsand then click on Control Panel. Double-click on Administrative Tools and finally on Event Viewer.

Invoking Event Viewer under Windows XP:

Click Start, go to Settings and invoke the Control Panel. Double-click on Administrative Tools and finally on Event Viewer.


Troubleshooting

How much free disk space is necessary to run a defragmentation?

Usually, 10-20% of free space can be considered a good value! According to the partition capacity this value of course decreases.

Windows Explorer displays 20% of free disk space on my partition. Why do these not suffice for a satisfactory defragmentation result?

You must subtract the space that is reserved for the MFT (Master File Table. O&O Defrag informs you about the real amount of free space in the Volume Information (free without MFT). The reserved area is managed by the operating system and therefore exclusively locked. It cannot be used for defragmentation purposes.

In spite of having enough free disk space without the area reserved for MFT a satisfactory defragmentation result is not achieved.

The free disk space is probably fragmented, i.e. includes file pieces. Thus the free space does not suffice. It is recommended to combine the free space by the means of the SPACE method and to use one of the COMPLETE methods afterwards.

I have removed all unnecessary files from my partition. Nonetheless it does not suffice for a satisfactory defragmentation result.

As long as the paging file is on your system partition you can temporarily or permanently swap it out to another partition. Therefore use SYSTEM in the Control Applet.

Why are there system blocks displayed in the Cluster View and why aren't they being defragmented?

Files essentially needed by the operating system are being marked as „system files" for extern applications and so excluded from defragmentation.

I have activated the boot time defragmentation for MFT on all my partition. After the defragmentation there is a bothering/time-consuming reboot.

The reboot only takes places if the defragmentation of the MFT on the system partition is activated. This reboot must be realized as otherwise files can be lost. You can prevent the reboot by excluding the system partition from the defragmentation of the MFT.


Solving Network Problems (Server Edition)

Installation of Plug-ins


Installation of Plug-ins

When you use O&O ComponentInstaller to deploy plug-in agents across a network, the most common problem that leads to installation failure consists of insufficient access rights on the target machine. Either administrative privileges are not granted or DCOM security is set to lock out (some) users. In this case you need to obtain sufficient privileges and to adjust DCOM security settings to get access to this computer.

The default share (Admin$) on the client must be available to install the O&O ComponentInstaller. After the installation it can be removed as the communication takes place directly through the ComponentInstaller.

Another problem source may be an unsupported operating system of the target machine. O&O EMC and its plug-ins will only run on Microsoft Windows NT 4 or Microsoft Windows 2000/XP. The installation will also fail if a machine is not connected to the network. This can be determined in O&O EMC using "Identify" from the context menu of a single computer or a whole Site. Computer on-line status and the operating systems will be identified and displayed graphically as icon. If a machine is operational and connected to the network, a rare problem source may be the network configuration – malfunctioning network cables, network traffic overload, misconfigured network routers and switches or firewalls with packet filters enabled. In such a case, please contact the responsible network administrator.


Technical Support

All registered customers of O&O products will receive free installation and product support for 90 days from the date of registration. Please do not forget to give your registration code when contacting our support!

Please read the Frequently Asked Questions (FAQ) on our Internet site (see below) before contacting our support, as there might already be an answer to your problem.

O&O Software GmbH

Internet:http://www.oo-software.com/
E-mail:support@oo-software.com

Am Borsigturm 48
13507 Berlin, Germany

International: Tel. +49-30-4303 4303 / Fax +49-30-4303 4399
Germany: Tel. (030) 4303 4303 / Fax (030) 4303 4399


Purchasing Software Licenses

Beside from single-user applications we offer also advantageous multi-user licenses and a special software license program (O&O EasyLicensing) for companies.

General Information: http://www.oo-software.com/buynow/
O&O EasyLicensing: http://www.oo-software.com/easylicensing/

If you want to purchase more O&O Defrag licenses, please contact an authorized reseller. You can find a list of O&O distributors at our website. If there is no partner in your country, please contact us.

O&O Software GmbH

Internet:http://www.oo-software.com/
E-mail:support@oo-software.com

Am Borsigturm 48
13507 Berlin, Germany

International: Tel. +49-30-4303 4303 / Fax +49-30-4303 4399
Germany: Tel. (030) 4303 4303 / Fax (030) 4303 4399


O&O Defrag V4 Professional and Server Edition

PLEASE READ CAREFULLY!

There are two license agreements that you should read carefully: the first license agreement applies only for the trial version, the second license agreement applies for the trial as well as for the registered version.

Additional License Agreement Only for the Trial Version

This software product is not free. Subject to the terms below, you are hereby licensed to use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30-day evaluation period, you have to buy a license. As soon as the payment is effected you will receive the license information that is required to continue the use. Unregistered use after the 30-day evaluation period is in violation of German and international copyright laws.

Software Distribution

Provided that you verify that you are distributing the evaluation version (select About from the O&O® Defrag V4-Help menu to check) you are hereby licensed to make as many copies of the trial version of this software and documentation as you wish; give exact copies of the original trial version to anyone; and distribute the trial version of the software and documentation in its unmodified form via electronic means.

You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

License Agreement for the Registered Version

Agreement conditions to the utilization of O&O software is subsequently applicable to you, the end-user (hereafter referred to as 'licensee'). Through installing the delivered computer program on to an electronic processing unit you thereby consent to these agreement conditions. Therefore please carefully read the following text in full. You may not install the software should you not agree with these terms of contract. In this case send the disks and all other parts of the acquired product (inclusive of all written material, delivered hardware and packaging) back to us, without delay. The full cost of purchase is reimbursed.

Terms of Contract
1. SUBJECT TO THE AGREEMENT

This agreement concerns the computer program recorded on the data carrier (disk) the program description and operating instructions, and all other accompanying written material. These are referred to as software from here on.

O&O would like to point out that, due to the state of technology, it is not possible to produce computer software than will function throughout employment and configurations without any errors at all. Therefore only software, that is used according to program description and instructions of use, is subject to this agreement.

2. EXTENT OF USE

For the duration of this agreement O&O grants you the simple, not exclusive, personal right (referred to as 'license' in the following) to use the enclosed copy of O&O software on a single computer (i.e. with one individual central unit CPU), and in one place only. If the computer is a system for multiple users the right to use then applies to all its users.

The product may be used on the specified operating system only (Workstation and/or Server). Please pay attention to the notes by the registration number.

O&O Defrag V4 Professional Edition may only be used on Windows NT 4 Workstation, Windows 2000 Professional Edition, Windows XP Home Edition, Windows XP Professional.

O&O Defrag V4 Server Edition may only be used on Windows NT 4 Workstation/Server, Windows 2000 Professional Edition/Server/Advanced, Windows XP Home Edition, Windows XP Professional.

As licensee you may transfer substantial software (i.e. stored on a data carrier) from one computer to the other, yet on the condition that is wiped from the computer initially used. Never-ending use is not permitted.

3. SPECIAL RESTRICTIONS

The licensee is prohibited from:

entrusting the software or the accompanying written material with a third party, or making it accessible for him/her without written approval from O&O,

transferring the software from one computer to another via a net or data transferring channel,

altering, translation, breaking down the development, decompiling or disassembling the software without former written permission from O&O,

producing works resembling the software or duplicating written material,

from translating or altering the program or creating versions of written material.

4. RIGHTS OF OWNERSHIP

With the purchase of this product you are only entitled to the possession of the substantial software data which the software is recorded on. This does not include the acquisition of rights to the software itself. O&O reserve the right to publicize, reproduce, alter or exploit the software.

5. REPRODUCTION

The software and accompanying written manual is protected by copyright. If the software does not include copy protection, its reproduction is only permitted when for security purposes. You are obliged to include the O&O copyright annotation with the security copy. No copyright statement or therein registration number from the software may be removed. The copy or reproduction of the software and its written accompaniment is strictly forbidden, be this in whole or part, in original or changed form, merged together with or enclosed in other software.

6. TRANSFERENCE OF RIGHT TO USE

The right to use the software can only be passed on to a third party with written consent from O&O and in accordance with the terms of this agreement. Giving the software away, hiring or lending it out is strictly forbidden.

7. AGREEMENT VALIDITY

This agreement is valid indefinitely. Should the licensee violate a condition of the agreement his/her right to use the software automatically lapses without prior notice. On the termination of the right to use (s)he is obliged to destroy the original disk as well as the copies (including those modified) of the software and written material.

8. recovery of damages to the agreement

O&O point out that you will be held liable for any violation of the copyright terms.

9. CHANGES AND UPDATES

O&O are entitled to up-date software at their own discretion. They are not obliged to make program up-dates available to those licensees who have either not signed the registration card sent back to O&O, or nor paid the up-date fee.

10. O&O GUARANTEE AND LIABILITY

O&O ensure the original licensee that the data carrier (disk or CD) which the software is recorded on and the accompanying hardware are free from defects when subject to normal operating conditions and looked after throughput performance.

Should the data carrier (disk or CD) or accompanying hardware be faulty, the acquisitor can demand compensation delivery as long as the guarantee is valid, which it is up to 6 months post delivery. To do this the disk must be returned to either O&O or the dealer it was bought from, along with its possibility accompanying hardware, the security copy, written material and duplicate of the receipt/bill.

If a fault, as defined in 10b, is not made good by replacement delivery within a reasonable length of time, the customer can either demand a reduction: the purchase price, or contract rescission.

  1. For the reasons mentioned above and in paragraph 1 O&O do not assume liability for errors made by the software. O&O take above all no responsibility for the software being sufficient for the acquisitor's demands and purposes, or for it working with other programs chosen by her/himself. The purchaser alone carries responsibility for the consequences of using the software, as well as for intended or achieved results. The same applies to written material accompanying the software. If the software cannot be used as defined in note 1 the purchaser has the right to countermand the agreement. O&O have the same right when the software serviceable, as defined in note 1, cannot be manufactured at affordable cost.

O&O is not liable for damage unless it is caused with intent or by gross negligence on their part. Liability for gross negligence is impossible for those merchants. Liability for possible guaranteed features of O&O is not affected. Liability for damage caused by defectiveness not covered by the guarantee, is not possible.

11. COMPETENCY

The right concerned in this agreement applies to the Federal Republic of Germany when the licensee is a qualified merchant. Be this the case, the competency of the regional and federal courts in Germany is understood.

In the event of queries on the O&O-Software license agreement, or if you would like to talk to O&O, please contact O&O Software GmbH.

O&O Software GmbH

Internet:http://www.oo-software.com
Email:info@oo-software.de

Am Borsigturm 48
13507 Berlin, Germany

International: Tel. +49-30-4303 4303 / Fax +49-30-4303 4399
Germany: Tel. (030) 4303 4303 / Fax (030) 4303 4399

Last updated: 2001-11-26